(Untitled)

Hilfe zum Replikationskonflikt-Viewer

Der Replikationskonflikt-Viewer hilft Ihnen beim Anzeigen und Lösen von Konflikten, die während der Mergereplikation aufgetreten sind. Konflikte treten auf, wenn dieselben Daten gleichzeitig an zwei verschiedenen Speicherorten bearbeitet werden, z. B. auf einem Verleger und einem Abonnenten oder aber auf zwei verschiedenen Abonnenten. Die folgenden beiden Konflikte sind möglich:

  • Aktualisierungs- und Einfügekonflikte, bei denen dieselben Daten an zwei verschiedenen Speicherorten geändert werden. Eine Änderung „gewinnt“, während die andere „verliert“.
  • Löschkonflikte, bei denen dieselbe Zeile an einem Speicherort gelöscht und an einem anderen bearbeitet wird.

Diese Konflikte werden auf der Grundlage der Priorität, die beim Erstellen des Abonnements eingestellt war, oder auf der Grundlage benutzererstellter Lösungsprozeduren behoben. Mit dem Replikationskonflikt-Viewer können Sie nachvollziehen, wie diese Konflikte gelöst wurden, und Änderungen an diesen Lösungen vornehmen.

In der folgenden Tabelle sind die im Dialogfeld Microsoft-Replikationskonflikt-Viewer verfügbaren Optionen und deren Funktionen aufgeführt.

Anmerkung

Welche spezifischen Optionen angezeigt werden, hängt vom aufgetretenen Konflikt ab. Nicht alle Optionen sind in allen Dialogfeldern verfügbar. Datumsangaben werden im ISO-Datetime-Format und nicht im lokalen Format angezeigt.

Option | Zweck
Konfliktursache | Anzeige des spezifischen Grundes für den aufgetretenen Konflikt und der Art und Weise, wie dieser gelöst wurde.
Nur Spalten mit Konflikten anzeigen | Anzeige der GUID-Spalte (eindeutiger Bezeichner) und nur der Spalten mit Konflikten.
Alle Spalten anzeigen | Anzeige aller Spalten der Zeile.
Vorhandene Daten beibehalten | Annahme der aktuellen Lösung des Konflikts.
Überarbeitete Daten beibehalten | Annahme der aktuellen Lösung des Konflikts, allerdings unter Berücksichtigung der in den Bearbeitungsfeldern vorgenommenen Überarbeitungen.
Löschung beibehalten | Annahme der aktuellen Lösung des Konflikts; Daten bleiben gelöscht.
Konflikt ignorieren | Kennzeichnung des Konflikts als gelöst, ohne Änderungen vorzunehmen. Dies führt zu einer Diskrepanz und sollte möglichst bald auf andere Weise gelöst werden.
Mit Konfliktdaten überschreiben | Außerkraftsetzung der Lösung des Konflikts und Beibehalten der angezeigten Konfliktdaten.
Mit vorhandenen Daten überschreiben | Außerkraftsetzung der Lösung des Konflikts und Beibehalten der angezeigten vorhandenen Daten.
Mit überarbeiteten Daten überschreiben | Außerkraftsetzung der Lösung des Konflikts durch die Überarbeitungen in den Bearbeitungsfeldern und Beibehalten der angezeigten überarbeiteten Daten.
Daten löschen | Löschen der in den Spalten angezeigten Daten.
Details dieses Konflikts zur späteren Bezugnahme protokollieren | Erstellung einer Kopie des Konflikts und Speicherung in einer eigenen Protokolldatei für die spätere Verwendung. Die Datei wird in Windows-Verzeichnis\profiles\Benutzer\ Anwendungsdaten\Microsoft\Database Replication\UnresolvedConflicts.log gespeichert.


Filter angeben

Geben Sie nur die Bedingungen für den Filter ein. Geben Sie nicht die gesamte SELECT-Anweisung ein, und geben Sie nicht das WHERE-Schlüsselwort ein. Geben Sie beispielsweise nur Folgendes ein:

sales.rep = suser_sname()

Anstatt der folgenden Eingabe:

WHERE sales.rep = suser_sname()


Filter angeben

In der folgenden Tabelle sind die im Dialogfeld Filter angeben verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Zu filternde Tabelle | Anzeige des Namens der zu filternden Tabelle.
Artikelname | Anzeige des Namens des Artikels, der mit diesem Filter publiziert wird.
SELECT * FROM Tabelle WHERE | Eingabe der Filterklausel. Geben Sie nur die Bedingungen für den Filter ein. Geben Sie nicht die gesamte SELECT-Anweisung ein, und geben Sie nicht das WHERE-Schlüsselwort ein.


Verknüpfung angeben

Geben Sie nur die Bedingungen für den Filter ein. Geben Sie nicht die gesamte SELECT*FROM-Anweisung ein, und geben Sie nicht das ON-Schlüsselwort ein. Geben Sie beispielsweise nur Folgendes ein:

customer.cust_id = order.cust_id

Anstatt der folgenden Eingabe:

ON customer.cust_id = order.cust_id

Bei Spaltennamen, die in beiden Tabellen vorkommen und daher auf beide Tabellen aufgelöst werden könnten, muss zusätzlich der Tabellenname angegeben werden.


Verknüpfung angeben

In der folgenden Tabelle sind die im Dialogfeld Verknüpfung angeben verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Gefilterte Tabelle | Anzeige des Namens der gefilterten Tabelle.
Zu filternde Tabelle | Anzeige des Namens der Tabelle, auf die der Filter mit der JOIN-Klausel erweitert wird.
SELECT * FROM gefilterte Tabelle INNER JOIN zu filternde Tabelle ON | Eingabe der Filterklausel. Geben Sie nur die Bedingungen für den Filter ein. Geben Sie nicht die gesamte SELECT*FROM-Anweisung ein, und geben Sie nicht das ON-Schlüsselwort ein.


Eigenschaften von Pullabonnement (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Pullabonnement verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Abonnement von Publikation | Anzeige des Namens der Publikation.
Verleger | Anzeige des Namens des Verlegers.
Verlegerdatenbank | Anzeige des Namens der Verlegerdatenbank.
Beschreibung | Anzeige der Beschreibung der Publikation.
Anonym | Anzeigen, ob das Abonnement anonym ist.
Sofort aktualisierbares Abonnement zulassen | Anzeigen, ob das Abonnement sofortige Aktualisierungen zulässt.
Zuletzt aktualisiert | Anzeige des Datums und der Uhrzeit, zu dem bzw. der der Abonnent zuletzt mit dem Verleger synchronisiert wurde.


Tabellenzeilen filtern

Es ist möglich, die Zeilen in einer Tabelle zu filtern, um die publizierte Datenmenge zu reduzieren. Die Filteranweisung darf nur auf Spalten und Werte in dieser Tabelle verweisen. Filter können nicht auf Daten in anderen Spalten verweisen, um zu bestimmen, ob Zeilen dieser Tabelle ein- oder ausgeschlossen werden.

Klicken Sie auf die Eigenschaftenschaltfläche (...), um die als Filter verwendete WHERE-Klausel einzugeben oder zu ändern.

Sie können die Zeilenfilter mithilfe von Verknüpfungsfiltern auch auf andere Tabellen erweitern. Wählen Sie aus der Liste in der Spalte Gefilterte Tabelle die Tabelle mit einem Filter aus. Wählen Sie dann aus der Liste in der Spalte Zu filternde Tabelle die zweite zu filternde Tabelle aus. Klicken Sie schließlich auf die Erstellen-Schaltfläche (...), um die als Filter verwendete JOIN-Klausel einzugeben. Um eine Verknüpfung zu löschen, klicken Sie in der Liste, die in der Tabelle Gefilterte Tabelle angezeigt wird, auf Verknüpfung löschen.


Eigenschaften von heterogener Publikation (Registerkarte „Abonnement“)

In der folgenden Tabelle sind die auf der Registerkarte Abonnements des Dialogfeldes Eigenschaften von heterogener Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Abonnementname | Anzeige des Namens des Abonnements.
Typ | Anzeige des Abonnementtyps (Push oder Pull).
Neuen Push ausführen | Erstellung eines neuen Pushabonnements auf einem oder mehreren Abonnenten.
Eigenschaften | Anzeige der Eigenschaften des Abonnements.
Löschen | Löschen des Abonnements.


Abonnement initialisieren

Zur Initialisierung eines Abonnements wird der Snapshot-Agent ausgeführt und erstellt einen Snapshot des Schemas und der Daten in der Publikation. Dieser Snapshot wird dann durch den Verteilungs- oder Merge-Agenten auf den Abonnenten kopiert.

Wenn Sie das Schema und die Daten manuell auf dem Abonnenten laden, z. B. mit Sicherungsbändern, müssen Sie das Abonnement nicht initialisieren. Wenn Microsoft® SQL Server™ das Abonnement initialisieren soll, wählen Sie Ja, Schema und Daten auf dem Abonnenten sofort initialisieren. Dadurch wird der erste Schritt des Initialisierungsvorgangs gestartet. Wenn weitere Schritte erforderlich sind, zeigt der Assistent die für den Typ der beteiligten Publikation und der Replikations-Agenten relevanten Schritte an.


Sofort aktualisierbares Abonnement festlegen

Geben Sie an, ob Änderungen dieses Abonnenten auf andere Abonnenten repliziert werden.

Sofort aktualisierbare Abonnements können mit Transaktions- oder Snapshotpublikationen eingesetzt werden. Ein Abonnent kann Abonnementdaten ändern, wenn die Transaktion durch einen Zweiphasencommit mit dem Verleger durchgeführt werden kann. Diese Vorgehensweise garantiert lose Transaktionskonsistenz, ohne dass Aktualisierungen nur auf dem Verleger vorgenommen werden müssen. Die Zweiphasencommit-Transaktion mit dem Verleger erfolgt automatisch; daher können Sie eine Anwendung erstellen, um nur einen einzigen Standort zu aktualisieren. Nachdem die Änderung auf dem Verleger vorgenommen wurde, wird sie auf alle anderen Abonnenten der Publikation verteilt.


Erforderliche Dienste starten

Die auf der Seite des Assistenten aufgeführten Dienste müssen ausgeführt werden, damit Microsoft® SQL Server™ die Änderungen synchronisiert. SQL Server-Agent ist für alle Publikationen erforderlich. MS DTC ist für Transaktions- und Snapshotpublikationen erforderlich, die sofort aktualisierbare Abonnements zulassen (Abonnements, die vom Benutzer aktualisiert und mit dem Verleger und anderen Abonnenten synchronisiert werden können).

Das Symbol für SQL Server-Agent oder MS DTC vor dem Dienst gibt an, ob der Dienst derzeit ausgeführt wird oder beendet ist. Ist das Symbol grau dargestellt, ist der Status des Dienstes unbekannt.

Wenn der benötigte Dienst derzeit nicht ausgeführt wird, können Sie entweder den Dienst auswählen und SQL Server den Dienst automatisch starten lassen, wenn der Assistent beendet ist, oder den Dienst später manuell starten.


Eigenschaften von Artikel (Registerkarte „Befehle“)

In der folgenden Tabelle sind die auf der Registerkarte Befehle des Dialogfeldes Eigenschaften von Artikel verfügbaren Optionen und deren Funktionen aufgeführt. Diese Registerkarte ist für Snapshot- oder Mergepublikationen nicht sichtbar.

Option | Zweck
INSERT-Befehle ersetzen durch diesen Aufruf einer gespeicherten Prozedur | Verwenden einer benutzerdefinierten gespeicherten Prozedur anstatt des vom Verleger replizierten INSERT-Befehls auf jedem Abonnenten. Wenn Sie angeben, dass alle Abonnenten SQL Server sind, wird diese Option automatisch aktiviert. Wenn Sie später heterogene Abonnenten einschließen, müssen Sie dieses Dialogfeld erneut aufrufen und diese Option deaktivieren, damit der heterogene Abonnent die INSERT-Befehle erhält.
UPDATE-Befehle ersetzen durch diesen Aufruf einer gespeicherten Prozedur | Verwenden einer benutzerdefinierten gespeicherten Prozedur anstatt des vom Verleger replizierten UPDATE-Befehls auf jedem Abonnenten. Für die benutzerdefinierte gespeicherte Prozedur muss ein M-Aufruf verwendet werden. Wenn Sie angeben, dass alle Abonnenten Computer mit SQL Server sind, wird diese Option automatisch aktiviert. Wenn Sie später heterogene Abonnenten einschließen, müssen Sie dieses Dialogfeld erneut aufrufen und diese Option deaktivieren, damit der heterogene Abonnent die UPDATE-Befehle erhält.
DELETE-Befehle ersetzen durch diesen Aufruf einer gespeicherten Prozedur | Verwenden einer benutzerdefinierten gespeicherten Prozedur anstatt des vom Verleger replizierten DELETE-Befehls auf jedem Abonnenten. Wenn Sie angeben, dass alle Abonnenten Computer mit SQL Server sind, wird diese Option automatisch aktiviert. Wenn Sie später heterogene Abonnenten einschließen, müssen Sie dieses Dialogfeld erneut aufrufen und diese Option deaktivieren, damit der heterogene Abonnent die DELETE-Befehle erhält.
Die oben angegebenen, gespeicherten Prozeduren während der Erstsynchronisation der Abonnenten erstellen | Automatische Erstellung der gespeicherten Prozeduren auf dem Abonnenten erstellen, weil sie dort nicht vorhanden sind.
Senden der Parameter der gespeicherten Prozeduren in Binärformat | Senden der gespeicherten Prozeduren im effizientesten Format.
Spaltennamen in den SQL-Anweisungen verwenden | Verwenden der Spaltennamen in allen SQL-Anweisungen.


Eigenschaften von Artikel (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Artikel verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Artikelname | Eingabe des Artikelnamens, wenn Sie einen neuen Artikel erstellen. Anzeige des Artikelnamens, wenn der Artikel bereits vorhanden ist.
Beschreibung | Eingabe oder Änderung der Beschreibung des Artikels.
Name der Quelltabelle | Anzeige des Namens der Tabelle, auf der der Artikel basiert.
Besitzer der Quelltabelle | Anzeige des Namens des Besitzers der Tabelle, auf der der Artikel basiert.
Name der Zieltabelle | Eingabe des Tabellennamens, wenn Sie einen neuen Artikel erstellen. Anzeige des Tabellennamens, wenn der Artikel bereits vorhanden ist. Diese Option ist für Mergepublikationen nicht sichtbar.
Besitzer der Zieltabelle | Eingabe des Namens des Tabellenbesitzers, wenn Sie einen neuen Artikel erstellen. Anzeige des Namens des Tabellenbesitzers, wenn der Artikel bereits vorhanden ist. Diese Option ist für Mergepublikationen nicht sichtbar.
Änderungen in derselben Zeile als Konflikt behandeln | Definieren eines Konflikts als gleichzeitige Änderung derselben Zeile durch zwei Standorte. Diese Option ist nur für Mergepublikationen sichtbar.
Änderungen, die in derselben Spalte vorgenommen wurden, als Konflikt behandeln | Definition eines Konflikts als gleichzeitige Änderung derselben Spalte derselben Zeile durch zwei Standorte. Diese Option ist nur für Mergepublikationen sichtbar.


Eigenschaften von Artikel (Registerkarte „Snapshot“)

In der folgenden Tabelle sind die auf der Registerkarte Snapshot des Dialogfeldes Eigenschaften von Artikel verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Vorhandene Tabelle löschen und neu erstellen | Löschen der lokalen Tabelle, die denselben Namen wie die Zieltabelle hat, und Erstellen einer neue lokale Tabelle, die mit der Tabelle auf dem Verleger identisch ist.
Alle der ROW FILTER-Anweisung entsprechenden Daten in der vorhandenen Tabelle löschen | Löschen der Daten, die den zu replizierenden Daten des Verlegers in der lokalen Tabelle mit demselben Namen wie der Zieltabelle entsprechen. Daten in der lokalen Tabelle, die nicht den zu replizierenden Daten entsprechen, werden in der lokalen Tabelle nicht geändert.
Alle Daten in der vorhandenen Tabelle löschen | Löschen aller Daten, aber Beibehalten des Tabellenschemas in der lokalen Tabelle mit demselben Namen wie der Zieltabelle.
Vorhandene Tabelle unverändert beibehalten | Beibehalten aller vorhandenen Daten und des Schemas in der lokalen Tabelle mit demselben Namen wie der Zieltabelle.
Gruppierte Indizes in die Abonnementtabelle kopieren | Kopieren gruppierter Indizes in die Zieltabelle, wenn für die Quelltabelle auf dem Verleger gruppierte Indizes vorhanden sind.
Nicht gruppierte Indizes in die Abonnementtabelle kopieren | Kopieren nicht gruppierter Indizes in die Zieltabelle, wenn für die Quelltabelle auf dem Verleger nicht gruppierte Indizes vorhanden sind.
Benutzerdefinierte Datentypen in Basisdatentypen konvertieren | Konvertierung der benutzerdefinierten Datentypen in die ursprünglichen Basisdatentypen, wenn in der Quelltabelle auf dem Verleger benutzerdefinierte Datentypen vorhanden sind. Die Konvertierung benutzerdefinierter Datentypen in Basisdatentypen kann die Formatierung und andere Merkmale der Daten ändern.
Deklarative referenzielle Integrität auf Primärschlüsseln einschließen | Replikation derselben deklarativen referenziellen Integrität auf die Primärschlüssel in der Zieltabelle, wenn eine deklarative referenzielle Integrität für die Primärschlüssel in der Quelltabelle auf dem Verleger vorhanden ist.


Eigenschaften von Artikel (Registerkarte „Resolver“)

In der folgenden Tabelle sind die auf der Registerkarte Resolver des Dialogfeldes Eigenschaften von Artikel verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Standardresolver verwenden | Zusammenführung von Änderungen durch den mit Microsoft® SQL Server™ gelieferten Resolver.
Diesen benutzerdefinierten Resolver verwenden | Zusammenführung von Änderungen durch einen benutzerdefinierten Resolver. Wählen Sie den benutzerdefinierten Resolver für diesen Artikel aus. SQL Server wird mit dem SQL Server Stored Procedure Resolver geliefert, mit dem sich mithilfe von Transact-SQL ein benutzerdefinierter Resolver erstellen lässt.
Informationen für den benutzerdefinierten Resolver | Eingabe des Namens der gespeicherten Prozedur, die bei Verwendung des Resolvers für die gespeicherte Prozedur aufgerufen werden soll, und etwaiger Parameter oder sonstiger erforderlicher Informationen. Sie können auch Informationen eingeben, die von anderen benutzerdefinierten Resolvern benötigt werden.


Agentenprofile

In der folgenden Tabelle sind die im Dialogfeld Agentenprofile verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Verwenden | Auswahl des Profils, das zum Erstellen neuer Agenten des angegebenen Typs verwendet werden soll.
Profilname | Anzeige des Namens des Agentenprofils.
Typ | Anzeige des Typs des Agentenprofils (Benutzer oder System).
Beschreibung | Anzeige der Beschreibung des Profils.
Profil anzeigen | Anzeige der Parameter des ausgewählten Profils. Diese Option wird nur angezeigt, wenn kein vorhandenes Benutzerprofil ausgewählt ist.
Ausgewähltes Profil kopieren | Anzeige eines Dialogfeldes zum Erstellen eines neuen Profils auf der Grundlage des ausgewählten Profils. Die Ausgangswerte für die Parameter sind die Werte des ausgewählten Profils. Das neue Profil wird nicht automatisch das zu verwendende Profil.
Profil löschen | Löschen des ausgewählten Benutzerprofils aus der Liste. Systemprofile können nicht gelöscht werden.
Profil ändern | Anzeige eines Dialogfeldes zum Ändern eines ausgewählten Profils. Diese Option wird nur angezeigt, wenn ein vorhandenes Benutzerprofil ausgewählt ist.


Eigenschaften von Verleger (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Verleger verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Verleger | Anzeige des Namens des Verlegers.
Verteilungsdatenbank | Auswahl der Verteilungsdatenbank, die vom Verleger verwendet werden soll, wenn Sie einen neuen Verleger aktivieren und mehrere Verteilungsdatenbanken auf dem Verteiler vorhanden sind. Für einen derzeit aktivierten Verleger Anzeige der vom Verleger zu verwendenden Verteilungsdatenbank.
Snapshotordner | Anzeige des Pfades und des Namens des Ordners, der zum Speichern von Snapshots von Publikationen vom Verleger verwendet werden soll.
Durch Annahme der Identität des SQL Server-Agent-Kontos auf Verleger | Verwendung desselben Windows NT-Authentifizierungskontos, das der SQL Server-Agent auf dem Verleger verwendet.
Durch SQL Server-Authentifizierung dieses Kontos | Verwendung der SQL Server-Authentifizierung eines angegebenen Kontos.
Benutzername | Eingabe des Benutzernamens für das Konto.
Kennwort | Eingabe des Kennwortes für das Konto.
Kennwort bestätigen | Erneute Eingabe des Kennwortes für das Konto zur Bestätigung.
Zum Herstellen einer Verbindung zum Verteiler ist ein Kennwort erforderlich | Kennzeichnung des Verlegers als durch den Verteiler nicht vertraut; deshalb ist für die Verbindung zum Verteiler ein Kennwort erforderlich. Diese Option ist nur sichtbar, wenn sich der Verleger und der Verteiler auf verschiedenen Servern befinden.
Dieser Verleger verwendet eine vertraute Verbindung; kein Kennwort erforderlich | Kennzeichnung des Verlegers als durch den Verteiler vertraut; deshalb ist für die Verbindung zum Verteiler kein Kennwort erforderlich. Diese Option ist nur sichtbar, wenn sich der Verleger und der Verteiler auf verschiedenen Servern befinden.


Eigenschaften von Verleger (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Verleger verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Heterogene Verleger | Anzeige des Namens des heterogenen Verlegers.
Verteilungsdatenbank | Anzeige der vom Verleger verwendeten Verteilungsdatenbank.
Snapshotordner | Anzeige des Pfades und des Namens des Ordners, der zum Speichern von Snapshots von Publikationen vom Verleger verwendet werden soll.
Abonnenten | Auswahl des zu aktivierenden Abonnenten.
Alle aktivieren | Aktivierung aller aufgeführten Abonnenten für den Empfang von Daten von diesem Verleger.
Keine aktivieren | Deaktivierung aller aufgeführten Abonnenten für den Empfang von Daten von diesem Verleger.
Neuer Abonnent Registrierung eines der folgenden neuen Abonnenten:
  • SQL Server-Installation
  • Microsoft® Jet 4.0-Datenbank (Microsoft Access)
  • ODBC-Datenquelle
  • OLE DB-Datenquelle


Eigenschaften der Verteilungsdatenbank (Registerkarte „Datenbank“)

In der folgenden Tabelle sind die auf der Registerkarte Datenbank des Dialogfeldes Eigenschaften der Verteilungsdatenbank verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Datenbankname | Anzeige des Namens der Verteilungsdatenbank.
Die folgenden Verleger verwenden diese Verteilungsdatenbank | Anzeige der Liste der Verleger, die derzeit diese Verteilungsdatenbank verwenden.
Transaktionen speichern: Mindestens | Festlegen der Mindestzeit für die Speicherung der Transaktionsdatensätze in der Verteilungsdatenbank. Bei Stunden als Zeiteinheit beträgt der Mindestwert 0 und der Höchstwert 9999. Bei Tagen als Zeiteinheit beträgt der Mindestwert 0 und der Höchstwert 416. Der Mindestwert zum Speichern von Datensätzen muss niedriger sein als der Höchstwert.
Aber nicht länger als | Festlegen der Höchstzeit für die Speicherung der Transaktionsdatensätze in der Verteilungsdatenbank. Der Höchstwert muss größer als der Mindestwert sein.
Stunden | Verwenden von Stunden als Zeiteinheit für die Speicherung von Transaktionsdatensätzen.
Tage | Verwenden von Tagen als Zeiteinheit für die Speicherung von Transaktionsdatensätzen.
Replikationsleistungschronik speichern: Mindestens | Festlegen der Mindestzeit für die Speicherung der Replikationsleistungschronik in der Verteilungsdatenbank. Bei Stunden als Zeiteinheit beträgt der Mindestwert 0 und der Höchstwert 9999. Bei Tagen als Zeiteinheit beträgt der Mindestwert 0 und der Höchstwert 416. Der Mindestwert zum Speichern der Leistungschronik muss niedriger sein als der Höchstwert.
Stunden | Verwenden von Stunden als Zeiteinheit für die Speicherung der Replikationsleistungschronik.
Tage | Verwenden von Tagen als Zeiteinheit für die Speicherung der Replikationsleistungschronik.


Eigenschaften der Verteilungsdatenbank (Registerkarte „Datenbank“)

In der folgenden Tabelle sind die auf der Registerkarte Datenbank des Dialogfeldes Eigenschaften der Verteilungsdatenbank verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Datenbankname | Eingabe des Namens der neuen Verteilungsdatenbank.
Ordner für Datenbankdatei | Eingabe des Pfades für die Verteilungsdatenbankdatei.
Durchsuchen | Suche nach dem Ordner, in dem die Verteilungsdatenbank gespeichert werden soll.
Ordner für Protokolldatei | Eingabe des Pfades für die Protokolldatei für die Verteilungsdatenbank.
Durchsuchen | Suche nach dem Ordner, in dem die Protokolldatei für die Verteilungsdatenbank gespeichert werden soll.
Transaktionen speichern: Mindestens | Festlegen der Mindestzeit für die Speicherung von Transaktionen in der Verteilungsdatenbank. Bei Stunden als Zeiteinheit beträgt der Mindestwert 0 und der Höchstwert 9999. Bei Tagen als Zeiteinheit beträgt der Mindestwert 0 und der Höchstwert 416. Der Mindestwert zum Speichern von Datensätzen muss niedriger sein als der Höchstwert.
Aber nicht länger als | Festlegen der Höchstdauer für die Speicherung von Transaktionen in der Verteilungsdatenbank. Der Höchstwert muss größer als der Mindestwert sein.
Stunden | Verwenden von Stunden als Zeiteinheit für die Speicherung von Transaktionsdatensätzen.
Tage | Verwenden von Tagen als Zeiteinheit für die Speicherung von Transaktionsdatensätzen.
Replikationsleistungschronik speichern: Mindestens | Festlegen der Mindestzeit für die Speicherung der Replikationsleistungschronik in der Verteilungsdatenbank. Bei Stunden als Zeiteinheit beträgt der Mindestwert 0 und der Höchstwert 9999. Bei Tagen als Zeiteinheit beträgt der Mindestwert 0 und der Höchstwert 416. Der Mindestwert zum Speichern der Leistungschronik muss niedriger sein als der Höchstwert.
Stunden | Verwenden von Stunden als Zeiteinheit für die Speicherung der Replikationsleistungschronik.
Tage | Verwenden von Tagen als Zeiteinheit für die Speicherung der Replikationsleistungschronik.


Verleger- und Verteilereigenschaften, Registerkarte „Verteiler"

Verleger- und Verteilereigenschaften (Registerkarte „Verteiler“)

In der folgenden Tabelle sind die auf der Registerkarte Verteiler des Dialogfeldes Verleger- und Verteilereigenschaften verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Name | Anzeige des Namens des Verteilers.
Datenbanken | Anzeige der Namen der Verteilungsdatenbanken.
Eigenschaften | Anzeige der Eigenschaften der ausgewählten Verteilungsdatenbank.
Neu | Hinzufügen einer neuen Verteilungsdatenbank.
Löschen | Löschen der ausgewählten Verteilungsdatenbank.
Agentenprofile | Anzeige der Profile für die einzelnen Agententypen.
Kennwort | Eingabe des Kennwortes, das verwendet wird, wenn ein Verleger eine Verbindung zum Verteiler herstellt. Sie können bestimmte Verleger als vertraut definieren; vertraute Verleger benötigen kein Kennwort für die Verbindung zum Verteiler. Wenn der Verleger nicht vertraut ist, muss das hier eingegebene Kennwort auch bei der Konfiguration des Verlegers eingegeben werden.
Kennwort bestätigen | Erneute Eingabe des Kennwortes zur Bestätigung.


Verleger- und Verteilereigenschaften (Registerkarte „Publikationsdatenbanken“)

In der folgenden Tabelle sind die auf der Registerkarte Publikationsdatenbanken des Dialogfeldes Verleger- und Verteilereigenschaften verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Trans | Aktivierung der Datenbank für die Snapshot- oder Transaktionsreplikation.
Merge | Aktivierung der Datenbank für die Mergereplikation.
Datenbankname | Anzeige des Namens der Datenbank.
Transaktionsreplikation - Alle aktivieren | Aktivierung aller aufgeführten Datenbanken für die Snapshot- oder Transaktionsreplikation.
Transaktionsreplikation - Keine aktivieren | Deaktivierung aller aufgeführten Datenbanken für die Snapshot- oder Transaktionsreplikation.
Merge - Alle aktivieren | Aktivierung aller aufgeführten Datenbanken für die Mergereplikation.
Merge - Keine aktivieren | Deaktivierung aller aufgeführten Datenbanken für die Mergereplikation.


Verleger- und Verteilereigenschaften (Registerkarte „Verleger“)

In der folgenden Tabelle sind die auf der Registerkarte Verleger des Dialogfeldes Verleger- und Verteilereigenschaften verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
(Kontrollkästchen) | Aktivierung des ausgewählten Servers als Verleger.
Verleger | Auswahl des zu aktivierenden Verlegers aus der Liste aller registrierten Server. Wenn Sie die Desktopversion von SQL Server installiert haben, wird nur der lokale Server aufgeführt.
Verteilungs-DB | Anzeige der vom Verleger verwendeten Verteilungsdatenbank.
(...) | Anzeige der Eigenschaften des Verlegers.
Alle aktivieren | Aktivierung aller aufgeführten Verleger für die Verwendung dieses Verteilers. Wenn Sie die Desktopversion von SQL Server installiert haben, ist dieses Steuerelement nicht sichtbar.
Keine aktivieren | Deaktivierung aller aufgeführten Verleger für die Verwendung dieses Verteilers. Wenn Sie die Desktopversion von SQL Server installiert haben, ist dieses Steuerelement nicht sichtbar.
Server registrieren | Registrierung eines Servers, der nicht in der Liste angezeigt wird. Nach der Registrierung des Servers in SQL Server Enterprise Manager wird der Server in der Liste angezeigt und kann aktiviert werden. Wenn Sie die Desktopversion von SQL Server installiert haben, ist dieses Steuerelement nicht sichtbar.


Publisher and Distributor Properties, Distributor Tab

Verleger- und Verteilereigenschaften (Registerkarte „Verteiler“)

In der folgenden Tabelle sind die auf der Registerkarte Verteiler des Dialogfeldes Verleger- und Verteilereigenschaften verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Verteiler für Verleger | Anzeige des Namens des Verlegers.
Name des Verteilungsservers | Anzeige des Namens des Servers, auf dem sich die Verteilungsdatenbank befindet.
Verteilungsdatenbank | Anzeige des Namens der Verteilungsdatenbank.
Kennwort | Eingabe des Kennwortes, das dieser Verleger verwendet, um eine Verbindung zum Verteiler herzustellen. Wenn der Verteiler diesen Verleger als vertraut identifiziert hat, ist dieses Steuerelement nicht im Dialogfeld sichtbar.
Kennwort bestätigen | Erneute Eingabe des Kennwortes zur Bestätigung. Wenn der Verteiler diesen Verleger als vertraut identifiziert hat, ist dieses Steuerelement nicht im Dialogfeld sichtbar.


Publisher and Distributor Properties, Subscribers Tab

Verleger- und Verteilereigenschaften (Registerkarte „Abonnenten“)

In der folgenden Tabelle sind die auf der Registerkarte Abonnenten des Dialogfeldes Verleger- und Verteilereigenschaften verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
(Kontrollkästchen) | Aktivierung des ausgewählten Servers für den Empfang von Daten vom Verleger.
Abonnenten | Auswahl des zu aktivierenden Abonnenten.
(...) Anzeige der Eigenschaften des ausgewählten Abonnenten.
Alle aktivieren | Aktivierung aller aufgeführten Server für den Empfang von Daten von diesem Verleger.
Keine aktivieren | Deaktivierung aller aufgeführten Abonnenten für den Empfang von Daten von diesem Verleger.
Neuer Abonnent Registrierung eines der folgenden neuen Abonnenten:
  • SQL Server-Installation
  • Microsoft® Jet 4.0-Datenbank (Microsoft Access)
  • ODBC-Datenquelle
  • OLE DB-Datenquelle


Eigenschaften von heterogener Publikation (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Publikationsname | Anzeige des Namens der Publikation.
Datenbankname | Anzeige des Namens der Datenbank.
Publikationstyp | Anzeige des Publikationstyps (Snapshot oder Transaktion).
Beschreibung | Anzeige der Beschreibung der Publikation.
Verlegername | Anzeige des Namens des Verlegers.
Herstellername | Anzeige des Namens des Anbieters, der die Publikation erstellt hat.
Verteilungsdatenbank | Anzeige des Namens der Verteilungsdatenbank für diese Publikation.

Anmerkung

Eigenschaften von heterogenen Verlegern und Publikationen können nur programmseitig erstellt werden und können nicht über die Microsoft® SQL Server™-Benutzeroberfläche festgelegt werden.


Eigenschaften von heterogener Publikation (Registerkarte „Abonnementoptionen“)

In der folgenden Tabelle sind die auf der Registerkarte Abonnementoptionen des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Erstellen von Pullabonnements nur durch aktivierte Abonnenten zulassen | Anzeigen, ob die speziell aktivierten Abonnenten Pullabonnements für die Publikation erstellen dürfen.
Erstellen von Pullabonnements durch anonyme und aktivierte Abonnenten zulassen | Anzeigen, ob die speziell aktivierten Abonnenten und anonyme Abonnenten Pullabonnements für die Publikation erstellen dürfen.
Einen Verteilungs-Agenten verwenden, der unabhängig von anderen Publikationen aus dieser Datenbank ist | Anzeigen, ob die Publikation einen eigenen Verteilungs-Agenten verwendet. Wenn alle Publikationen auf dem Verleger denselben Verteilungs-Agenten verwenden, werden die Ressourcenanforderungen reduziert und die Leistung des Verteilers verbessert. Wenn Ihre Anwendung jedoch sofort synchronisiert werden muss oder anonyme Abonnements zulässt, benötigen Sie einen eigenen Verteilungs-Agenten für diese Publikation.
Snapshotdateien sind stets verfügbar um sofort neue Abonnements zu initialisieren | Anzeigen, ob ein neues Abonnement sofort mit dem Snapshot initialisiert werden kann, der auf dem Verteiler gespeichert ist.
Verwendung des Internets zum Erstellen und Synchronisieren von Abonnements zulassen | Anzeigen, ob Abonnenten ihre Abonnements über das Internet erstellen und synchronisieren können.


Eigenschaften von Publikation (Registerkarte „Publikationszugriffsliste“)

In der folgenden Tabelle sind die auf der Registerkarte Publikationszugriffsliste des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Benutzername | Anzeige des Benutzernamens für das Konto.
Typ | Anzeige des Typs des Benutzerkontos.
Hinzufügen | Hinzufügen eines neuen Benutzernamens zur Liste. Nur Benutzernamen, die bereits auf dem Verleger und dem Verteiler definiert sind, können hinzugefügt werden.
Entfernen | Entfernen des ausgewählten Benutzernamens aus der Liste.
Alle entfernen | Entfernen aller Benutzernamen aus der Liste.

Anmerkung

Der Benutzername für den Abonnenten muss in der Publikationszugriffsliste eines Verlegers vorhanden sein, damit ein aktivierter Abonnent eine Verbindung zu dem Verleger herstellen kann.


Eigenschaften von Publikation (Registerkarte „Artikel“)

In der folgenden Tabelle sind die auf der Registerkarte Artikel des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
(Kontrollkästchen) | Aktivierung des ausgewählten Objekts als Artikel.
Besitzer | Anzeige des Namens des Objektbesitzers.
Tabelle | Anzeige des Namens der Tabelle oder der gespeicherten Prozedur, auf der der Artikel basiert.
Artikel | Anzeige des Namens des Artikels.
(...) | Anzeige der Eigenschaften des Artikels.
Publizierte und nicht publizierte Objekte | Anzeige aller Objekte, die für die Publizierung verfügbar sind.
Nur publizierte Objekte | Anzeige nur der Objekte, die derzeit als Artikel publiziert sind.
Alle publizieren | Auswahl aller aufgeführten Objekte für die Publikation.
Keine publizieren | Deaktivierung aller aufgeführten Objekte für die Publikation.
Tabellen einschließen | Anzeige von Tabellen in der Liste, falls es sich um eine Snapshot- oder Transaktionspublikation handelt.
Gespeicherte Prozeduren einschließen | Anzeige gespeicherter Prozeduren in der Liste, falls es sich um eine Snapshot- oder Transaktionspublikation handelt.


Eigenschaften von Publikation (Registerkarte „Spalten filtern“)

In der folgenden Tabelle sind die auf der Registerkarte Spalten filtern des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Besitzer | Anzeige des Namens des Tabellenbesitzers.
Tabelle | Anzeige des Namens der Tabelle, auf der der Artikel basiert.
Artikel | Anzeige des Namens des Artikels.
(Kontrollkästchen) | Ein- oder Ausschließen einer Tabellenspalte von dem ausgewählten Artikel. Spalten, die Teil des Primärschlüssels für die Tabelle sind (angezeigt durch ein Schlüsselsymbol in der Spalte), können nicht vom Artikel ausgeschlossen werden.
Spaltenname | Anzeige des Namens der Spalte.
Datentyp | Anzeige des Datentyps der Spalte.


Eigenschaften von Publikation (Registerkarte „Zeilen filtern“)

In der folgenden Tabelle sind die auf der Registerkarte Zeilen filtern des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Besitzer | Anzeige des Namens des Tabellenbesitzers.
Tabelle | Anzeige des Namens der Tabelle, auf der der Artikel basiert.
Artikel | Anzeige des Namens des Artikels.
Filterklausel | Anzeige der Klausel, die zum Filtern der Zeilen des Artikels verwendet wurde.
(...) | Eingabe oder Änderung der Filterklausel.


Eigenschaften von Publikation (Registerkarte „Zeilen filtern“)

In der folgenden Tabelle sind die auf der Registerkarte Zeilen filtern des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Besitzer | Anzeige des Namens des Tabellenbesitzers.
Tabelle | Anzeige des Namens der Tabelle, auf der der Artikel basiert.
Artikel | Anzeige des Namens des Artikels.
Filterklausel | Anzeige der Klausel, die zum Filtern der Zeilen des Artikels verwendet wurde.
(...) | Eingabe oder Änderung der Filterklausel.
Gefilterte Tabelle | Auswahl des Namens der gefilterten Tabelle. Nur Tabellen, für die eine Zeile gefiltert wird oder die über eine JOIN-Klausel gefiltert werden, werden in dieser Spalte angezeigt. Wählen Sie Verknüpfung löschen aus, um eine vorhandene JOIN-Klausel zu entfernen.
Zu filternde Tabelle | Auswahl des Namens der Tabelle, auf die der Filter erweitert wird.
Verknüpfungsfilterklausel | Anzeige der JOIN-Klausel, mit der der Filter von Gefilterte Tabelle auf Zu filternde Tabelle erweitert wird.
(...) | Eingabe oder Änderung der JOIN-Klausel.


Eigenschaften von Publikation (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Publikation | Anzeige des Namens der Publikation.
Datenbankname | Anzeige des Namens der Datenbank, die die Publikation enthält.
Beschreibung | Eingabe oder Änderung der Beschreibung der Publikation.
Publikationstyp | Anzeige des Publikationstyps (Snapshot, Transaktion oder Merge).
Systemeigenes Format von SQL Server | Festlegen des Formats der Snapshotdatei auf das systemeigene Format von Microsoft® SQL Server™.
Zeichenformat | Festlegen des Formats der Snapshotdatei auf das Zeichenformat. Das Zeichenformat ist erforderlich, wenn die Publikation heterogene Abonnenten hat.
Abonnements deaktivieren, wenn nicht synchronisiert innerhalb von | Festlegen der Anzahl von Tagen, die ein Abonnement maximal unsynchronisiert bleiben kann, bevor es gelöscht wird. Es gilt ein Mindestwert von 1 Tag und ein Höchstwert von 60 Tagen.


Eigenschaften von Publikation (Registerkarte „Skripts“)

In der folgenden Tabelle sind die auf der Registerkarte Skripts des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Erstellen dieser Publikation | Erstellung eines Skripts durch Microsoft® SQL Server™ zum Erstellen dieser Publikation.
Löschen dieser Publikation | Erstellung eines Skripts durch SQL Server zum Löschen dieser Publikation. SQL Server erstellt nur das Skript zum Löschen der Publikation; die Publikation selbst wird nicht entfernt.
MS-DOS-Text | Erstellung des Skripts mit dem OEM-Zeichensatz.
Windows-Text | Erstellung des Skripts mit dem ANSI-Zeichensatz.
Internationaler Text | Erstellung des Skripts mit dem Unicodezeichensatz.
Skript an Datei anhängen | Anhängen des Skripts an das Ende der Datei, die Sie angeben, wenn Sie auf Speichern klicken.
Vorschau | Vorschau und Bearbeitung des Skripts vor dem Speichern. Wenn Sie Änderungen am Vorschauskript vornehmen, müssen Sie im Dialogfeld Vorschau auf Speichern unter klicken, um diese Änderungen zu speichern.
Speichern | Erstellen der Skriptdatei. Wenn Sie dazu aufgefordert werden, geben Sie den Pfad und den Dateinamen für die Speicherung des Skripts ein.


Eigenschaften von Publikation (Registerkarte „Status“)

In der folgenden Tabelle sind die auf der Registerkarte Status des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Letzte Ausführung | Anzeige des Datums und der Uhrzeit, zu dem bzw. der der Snapshot-Agent zuletzt ausgeführt wurde.
Agenten jetzt ausführen | Bedarfsgesteuerte Ausführung des Snapshot-Agenten.
Nächste Ausführung | Anzeige des Datums und der Uhrzeit, zu dem bzw. der der Snapshot-Agent zum nächsten Mal ausgeführt werden soll.
Agenteneigenschaften | Anzeige der Eigenschaften des Snapshot-Agenten-Auftrags.
Dienst | Anzeige des Dienstes, der auf dem angegebenen Server ausgeführt werden muss.
Status | Anzeige des Status des Dienstes („Beendet“, „Startet“ oder „Gestartet“).
Dienst starten | Starten des ausgewählten Dienstes auf dem angegebenen Server.
Status aktualisieren | Aktualisierung des Status des ausgewählten Dienstes.


Eigenschaften von Publikation (Registerkarte „Abonnementoptionen“)

In der folgenden Tabelle sind die auf der Registerkarte Abonnementoptionen des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Einen Verteilungs-Agenten verwenden, der unabhängig von anderen Publikationen aus dieser Datenbank ist | Auswählen, ob die Publikation einen eigenen Verteilungs-Agenten verwendet. Wenn alle Publikationen auf dem Verleger denselben Verteilungs-Agenten verwenden, werden die Ressourcenanforderungen reduziert und die Leistung des Verteilers verbessert. Wenn Ihre Anwendung jedoch sofort synchronisiert werden muss oder anonyme Abonnements zulässt, benötigen Sie einen eigenen Verteilungs-Agenten für diese Publikation.
Snapshotdateien sind stets verfügbar um sofort neue Abonnements zu initialisieren | Auswählen, ob ständig ein neuer Snapshot der Publikation verwaltet werden soll, damit neue Abonnements sofort initialisiert werden können, wenn das Abonnement erstellt wird.
Ausführen von Pull für Abonnements durch anonyme Abonnenten zulassen | Auswählen, ob anonyme Abonnenten Pullabonnements für die Publikation erstellen dürfen.
Ausführen von Pull für Abonnements durch aktivierte Abonnenten zulassen | Auswählen, ob die speziell aktivierten Abonnenten Pullabonnements für die Publikation erstellen dürfen. Abonnenten werden auf der Registerkarte Abonnenten des Dialogfeldes Verleger- und Verteilereigenschaften aktiviert.
Downloaden von Snapshots mittels FTP (File Transfer Protocol) zulassen | Auswählen, ob aktivierte oder anonyme Abonnenten FTP (File Transfer Protocol) zum Download der Snapshotdatei über das Internet verwenden können.
Sofort aktualisierbare Abonnements zulassen | Anzeigen, ob ein Abonnent Abonnementdaten aktualisieren und diese Änderungen auf den Verleger replizieren lassen kann.


Eigenschaften von Publikation (Registerkarte „Abonnementoptionen“)

In der folgenden Tabelle sind die auf der Registerkarte Abonnementoptionen des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Erstellen von Pullabonnements nur durch aktivierte Abonnenten zulassen | Auswählen, ob die speziell aktivierten Abonnenten Pullabonnements für die Publikation erstellen dürfen. Abonnenten werden auf der Registerkarte Abonnenten des Dialogfeldes Verleger- und Verteilereigenschaften aktiviert.
Erstellen von Pullabonnements durch anonyme und aktivierte Abonnenten zulassen | Auswählen, ob die speziell aktivierten Abonnenten und anonyme Abonnenten Pullabonnements für die Publikation erstellen dürfen.
Downloaden von Snapshots mittels FTP (File Transfer Protocol) zulassen | Auswählen, ob aktivierte oder anonyme Abonnenten FTP (File Transfer Protocol) zum Download der Snapshotdatei über das Internet verwenden können.
Datenänderungen, die Konflikte verursachen, auf dem Verleger berichten | Auswählen, ob alle Mergekonflikte auf dem Verleger berichtet werden.
Dynamische Filter zulassen, so dass unterschiedliche Abonnenten verschiedene Partitionen der publizierten Daten empfangen können | Auswählen, ob die Publikation dynamisches Filtern zulässt. Mit der Festlegung dynamischer Filter für eine Tabelle können Sie anpassen, welche Teilmengen von Daten an die einzelnen Abonnenten gemäß ihren Anforderungen gesendet werden. Der dynamische Filter überprüft die Merkmale des Abonnenten und leitet dann die entsprechenden Daten laut Filterdefinition weiter.


Eigenschaften von Publikation (Registerkarte „Abonnements“)

In der folgenden Tabelle sind die auf der Registerkarte Abonnements des Dialogfeldes Eigenschaften von Publikation verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Abonnementname | Anzeige des Namens des Abonnements.
Typ | Anzeige des Abonnementtyps (Push oder Pull).
Alle Artikel | Anzeigen, ob ein Abonnement alle Artikel einer Publikation oder nur eine Teilmenge davon enthält. Diese Option ist für Mergepublikationen nicht sichtbar.
Priorität | Anzeige der Priorität des Abonnements. Diese Option ist nur für Mergepublikationen sichtbar. Die Priorität 0 gibt an, dass der Abonnent den Prioritätswert des Verlegers verwendet.
Neuen Push ausführen | Erstellung eines neuen Pushabonnements auf einem oder mehreren Abonnenten.
Eigenschaften | Anzeige der Eigenschaften des ausgewählten Abonnements.
Löschen | Löschen des ausgewählten Abonnements.
Erneut initialisieren | Erneute Initialisierung des ausgewählten Abonnements.
Alle erneut initialisieren | Erneute Initialisierung aller aufgeführten Abonnements.
Konflikte anzeigen | Anzeige der Synchronisationskonflikte für das ausgewählte Abonnement. Diese Option ist nur für Mergepublikationen sichtbar.


Eigenschaften von Pullabonnement (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Pullabonnement verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Abonnement von Publikation | Anzeige des Namens der Publikation.
Verleger | Anzeige des Namens des Verlegers.
Verlegerdatenbank | Anzeige des Namens der Verlegerdatenbank.
Beschreibung | Anzeige der Beschreibung der Publikation.
Anonym | Anzeigen, ob das Abonnement anonym ist.
Sofort aktualisierbare Abonnements zulassen | Anzeigen, ob das Abonnement sofortige Aktualisierungen durch den Abonnenten zulässt. Diese Option ist für Mergepublikationen nicht sichtbar.
Priorität beim Lösen von Datenkonflikten | Anzeige der Prioritätswerte zum Lösen von Datenkonflikten („Verwendet die Priorität des Verlegers“ oder ein numerischer Wert). Diese Option ist nur für Mergepublikationen sichtbar. Die Priorität 0 gibt an, dass der Abonnent den Prioritätswert des Verlegers verwendet.
Typ-Agent-Eigenschaften | Anzeige der Eigenschaften des Typ-Agenten-Auftrags.
Konflikte anzeigen | Anzeige der Synchronisationskonflikte für das ausgewählte Abonnement. Diese Option ist nur für Mergepublikationen sichtbar.
Zuletzt aktualisiert | Anzeige des Datums und der Uhrzeit, zu dem bzw. der der Abonnent zuletzt mit dem Verleger synchronisiert wurde. Diese Option ist für Mergepublikationen nicht sichtbar.
Dieses Abonnement für die Synchronisation mithilfe des Synchronisations-Managers von Windows aktivieren | Festlegen, ob das Abonnement mit dem Synchronisations-Manager von Windows synchronisiert werden kann. Diese Option ist nur verfügbar, wenn der Synchronisations-Manager auf dem Server installiert ist oder wenn das Abonnement zuvor aktiviert wurde. Für den Zugriff auf den Synchronisations-Manager klicken Sie auf Start, zeigen Sie auf Programme und dann auf Zubehör, und klicken Sie dann auf Synchronisieren.


Eigenschaften von Pullabonnement (Registerkarte „Snapshotübermittlung“)

In der folgenden Tabelle sind die auf der Registerkarte Snapshotübermittlung des Dialogfeldes Eigenschaften von Pullabonnement verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Beim Downloaden von Snapshotdateien vom Verteiler FTP (File Transfer Protocol) verwenden | Verwendung von FTP statt des regulären Protokolls für den Download von Dateien auf diesen Server.
Serveradresse des Verteilers | Eingabe der Netzwerkadresse des FTP-Dienstes auf dem Verteiler.
Anschluss | Eingabe der Nummer des Anschlusses für den FTP-Dienst auf dem Verteiler.
Benutzername | Eingabe des Benutzernamens, mit dem eine Verbindung zum FTP-Dienst hergestellt wird.
Kennwort | Eingabe des Benutzerkennwortes, mit dem eine Verbindung zum FTP-Dienst hergestellt wird.
Kennwort bestätigen | Erneute Eingabe des Kennwortes zur Bestätigung.


Eigenschaften von Pullabonnement (Registerkarte „Sicherheit“)

In der folgenden Tabelle sind die auf der Registerkarte Sicherheit des Dialogfeldes Eigenschaften von Pullabonnement verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Durch Annahme der Identität des SQL Server-Agent-Kontos auf Server | Verwendung desselben Windows NT-Authentifizierungskontos, das der SQL Server-Agent auf dem Server verwendet.
Durch SQL Server-Authentifizierung dieses Kontos | Verwendung der SQL Server-Authentifizierung eines angegebenen Kontos.
Benutzername | Eingabe des Benutzernamens für das Konto.
Kennwort | Eingabe des Kennwortes für das Konto.
Kennwort bestätigen | Erneute Eingabe des Kennwortes für das Konto zur Bestätigung.
Durch Verwenden desselben Benutzernamens wie für den Verteiler | Verwendung desselben Benutzerkontos für die Anmeldung beim Verleger wie für die Anmeldung beim Verteiler.


Replikationsmonitor - Spalten auswählen (Registerkarte „Verteilungs-Agenten“)

In der folgenden Tabelle sind die auf der Registerkarte Verteilungs-Agenten des Dialogfeldes Replikationsmonitor - Spalten auswählen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Beschreibung
(Kontrollkästchen) | Anzeige der ausgewählten Spalte im Ergebnisbereich.
Verleger | Verleger, der die Publikation erstellt hat.
Verleger-DB | Name der Verlegerdatenbank.
Abonnement | Name des Abonnements.
Typ | Typ des Abonnements.
Status | Status der letzten Aktion des Agenten.
Letzte Aktion | Zuletzt ausgeführte Aktion.
Aktionszeit | Zeitpunkt, zu dem die Aktion ausgeführt wurde.
Startzeit | Zeitpunkt, zu dem diese Sitzung gestartet wurde.
Dauer | Dauer der Agentensitzung.
Übermittlungsrate: (Befehle/Sekunde) | Verhältnis der übermittelten Befehle zur Dauer der Agentensitzung. Solange der Agent noch ausgeführt wird, gibt dieser Wert die Anzahl der übermittelten Befehle seit Sitzungsbeginn an.
Wartezeit (ms) | Die aktuelle Zeitspanne (in Millisekunden), die vom Zeitpunkt der Übermittlung von Transaktionen an den Verteiler bis zu ihrer Übernahme auf dem Abonnenten verstrichen ist.
Anzahl Transaktionen | Die Anzahl der Transaktionen, die an den Abonnenten übermittelt wurden.
Anzahl Befehle | Die Anzahl der Transaktionen, die an den Abonnenten übermittelt wurden.
Durchsch. Anzahl an Befehlen | Die durchschnittliche Anzahl der Befehle, die in dieser Sitzung pro Transaktion an den Abonnenten übermittelt wurden.
Nach oben | Die ausgewählte Spalte in der Liste nach oben verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach links verschoben.
Nach unten | Die ausgewählte Spalte in der Liste nach unten verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach rechts verschoben.
Zurücksetzen | Alle Spalten auswählen und in der Standardreihenfolge auflisten.


Replikationsmonitor - Spalten auswählen (Registerkarte „Protokolllese-Agenten“)

In der folgenden Tabelle sind die auf der Registerkarte Protokolllese-Agenten des Dialogfeldes Replikationsmonitor - Spalten auswählen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Beschreibung
(Kontrollkästchen) | Anzeige der ausgewählten Spalte im Ergebnisbereich.
Datenbank | Name der Verlegerdatenbank.
Status | Status der letzten Aktion des Agenten.
Letzte Aktion | Zuletzt ausgeführte Aktion.
Aktionszeit | Zeitpunkt, zu dem die Aktion ausgeführt wurde.
Startzeit | Zeitpunkt, zu dem diese Sitzung gestartet wurde.
Dauer | Dauer der Agentensitzung.
Übermittlungsrate: (Befehle/Sekunde) | Verhältnis der übermittelten Befehle zur Dauer der Agentensitzung. Solange der Agent noch ausgeführt wird, gibt dieser Wert die Anzahl der übermittelten Befehle seit Sitzungsbeginn an.
Wartezeit (ms) | Die aktuelle Zeitspanne (in Millisekunden), die vom Zeitpunkt der Übernahme von Transaktionen auf dem Verleger bis zu ihrer Übermittlung an den Verteiler verstrichen ist.
Anzahl Befehle | Die Anzahl der Befehle, die an den Verteiler übermittelt wurden.
Anzahl Transaktionen | Die Anzahl der Transaktionen, die an den Verteiler übermittelt wurden.
Durchsch. Anzahl an Befehlen | Die durchschnittliche Anzahl der Befehle, die in dieser Sitzung pro Transaktion an den Verteiler übermittelt wurden.
Nach oben | Die ausgewählte Spalte in der Liste nach oben verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach links verschoben.
Nach unten | Die ausgewählte Spalte in der Liste nach unten verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach rechts verschoben.
Zurücksetzen | Alle Spalten auswählen und in der Standardreihenfolge auflisten.


Replikationsmonitor - Spalten auswählen (Registerkarte „Merge-Agenten“)

In der folgenden Tabelle sind die auf der Registerkarte Merge-Agenten des Dialogfeldes Replikationsmonitor - Spalten auswählen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Beschreibung
(Kontrollkästchen) | Anzeige der ausgewählten Spalte im Ergebnisbereich.
Verleger | Verleger, der die Publikation erstellt hat.
Abonnement | Name des Abonnements.
Typ | Typ des Abonnements.
Status | Status der letzten Aktion des Agenten.
Letzte Aktion | Zuletzt ausgeführte Aktion.
Aktionszeit | Zeitpunkt, zu dem die Aktion ausgeführt wurde.
Startzeit | Zeitpunkt, zu dem diese Sitzung gestartet wurde.
Dauer | Dauer der Agentensitzung.
Übermittlungsrate: (Zeilen/Sekunde) | Verhältnis der übermittelten Zeilen zur Dauer der Agentensitzung. Solange der Agent noch ausgeführt wird, gibt dieser Wert die Anzahl der übermittelten Zeilen seit Sitzungsbeginn an.
Verlegereinfügungen | Anzahl der INSERT-Befehle, die auf dem Verleger übernommen wurden.
Verlegeraktualisierungen | Anzahl der UPDATE-Befehle, die auf dem Verleger übernommen wurden.
Verlegerlöschungen | Anzahl der DELETE-Befehle, die auf dem Verleger übernommen wurden.
Verlegerkonflikte | Anzahl der Konflikte, die im Rahmen des Mergevorgangs auf dem Verleger aufgetreten sind.
Abonnenteneinfügungen | Anzahl der INSERT-Befehle, die auf dem Abonnenten übernommen wurden.
Abonnentenaktualisierungen | Anzahl der UPDATE-Befehle, die auf dem Abonnenten übernommen wurden.
Abonnentenlöschungen | Anzahl der DELETE-Befehle, die auf dem Abonnenten übernommen wurden.
Abonnentenkonflikte | Anzahl der Konflikte, die im Rahmen des Mergevorgangs auf dem Abonnenten aufgetreten sind.
Nach oben | Die ausgewählte Spalte in der Liste nach oben verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach links verschoben.
Nach unten | Die ausgewählte Spalte in der Liste nach unten verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach rechts verschoben.
Zurücksetzen | Alle Spalten auswählen und in der Standardreihenfolge auflisten.


Replikationsmonitor - Spalten auswählen (Registerkarte „Verschiedene Agenten“)

In der folgenden Tabelle sind die auf der Registerkarte Verschiedene Agenten des Dialogfeldes Replikationsmonitor - Spalten auswählen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Beschreibung
(Kontrollkästchen) | Anzeige der ausgewählten Spalte im Ergebnisbereich.
Typ | Typ des Agenten.
Status | Status der letzten Aktion des Agenten.
Letzte Aktion | Zuletzt ausgeführte Aktion.
Startzeit | Zeitpunkt, zu dem diese Sitzung gestartet wurde.
Dauer | Dauer der Agentensitzung.
Nach oben | Die ausgewählte Spalte in der Liste nach oben verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach links verschoben.
Nach unten | Die ausgewählte Spalte in der Liste nach unten verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach rechts verschoben.
Zurücksetzen | Alle Spalten auswählen und in der Standardreihenfolge auflisten.


Replikationsmonitor - Spalten auswählen (Registerkarte „Ansicht 'Mergepublikation'“)

In der folgenden Tabelle sind die auf der Registerkarte Ansicht 'Mergepublikation' des Dialogfeldes Replikationsmonitor - Spalten auswählen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Beschreibung
(Kontrollkästchen) | Anzeige der ausgewählten Spalte im Ergebnisbereich.
Typ | Typ des Abonnements.
Status | Status der letzten Aktion des Agenten.
Letzte Aktion | Zuletzt ausgeführte Aktion.
Aktionszeit | Zeitpunkt, zu dem die Aktion ausgeführt wurde.
Startzeit | Zeitpunkt, zu dem diese Sitzung gestartet wurde.
Dauer | Dauer der Agentensitzung.
Übermittlungsrate: (Zeilen/Sekunde) | Verhältnis der übermittelten Zeilen zur Dauer der Agentensitzung. Solange der Agent noch ausgeführt wird, gibt dieser Wert die Anzahl der übermittelten Zeilen seit Sitzungsbeginn an.
Verlegereinfügungen | Anzahl der INSERT-Befehle, die auf dem Verleger übernommen wurden.
Verlegeraktualisierungen | Anzahl der UPDATE-Befehle, die auf dem Verleger übernommen wurden.
Verlegerlöschungen | Anzahl der DELETE-Befehle, die auf dem Verleger übernommen wurden.
Verlegerkonflikte | Anzahl der Konflikte, die im Rahmen des Mergevorgangs auf dem Verleger aufgetreten sind.
Abonnenteneinfügungen | Anzahl der INSERT-Befehle, die auf dem Abonnenten übernommen wurden.
Abonnentenaktualisierungen | Anzahl der UPDATE-Befehle, die auf dem Abonnenten übernommen wurden.
Abonnentenlöschungen | Anzahl der DELETE-Befehle, die auf dem Abonnenten übernommen wurden.
Abonnentenkonflikte | Anzahl der Konflikte, die im Rahmen des Mergevorgangs auf dem Abonnenten aufgetreten sind.
Nach oben | Die ausgewählte Spalte in der Liste nach oben verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach links verschoben.
Nach unten | Die ausgewählte Spalte in der Liste nach unten verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach rechts verschoben.
Zurücksetzen | Alle Spalten auswählen und in der Standardreihenfolge auflisten.


Replikationsmonitor - Spalten auswählen (Registerkarte „Snapshot-Agenten“)

In der folgenden Tabelle sind die auf der Registerkarte Snapshot-Agenten des Dialogfeldes Replikationsmonitor - Spalten auswählen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Beschreibung
(Kontrollkästchen) | Anzeige der ausgewählten Spalte im Ergebnisbereich.
Verleger | Verleger, der die Publikation erstellt hat.
Status | Status der letzten Aktion des Agenten.
Letzte Aktion | Zuletzt ausgeführte Aktion.
Aktionszeit | Zeitpunkt, zu dem die Aktion ausgeführt wurde.
Startzeit | Zeitpunkt, zu dem diese Sitzung gestartet wurde.
Dauer | Dauer der Agentensitzung.
Übermittlungsrate: (Befehle/Sekunde) | Verhältnis der übermittelten Befehle zur Dauer der Agentensitzung. Solange der Agent noch ausgeführt wird, gibt dieser Wert die Anzahl der übermittelten Befehle seit Sitzungsbeginn an.
Anzahl Transaktionen | Die Anzahl der Transaktionen, die an den Verteiler übermittelt wurden.
Anzahl Befehle | Die Anzahl der Befehle, die an den Verteiler übermittelt wurden.
Nach oben | Die ausgewählte Spalte in der Liste nach oben verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach links verschoben.
Nach unten | Die ausgewählte Spalte in der Liste nach unten verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach rechts verschoben.
Zurücksetzen | Alle Spalten auswählen und in der Standardreihenfolge auflisten.


Replikationsmonitor - Spalten auswählen (Registerkarte „Ansicht 'Publikationen übertragen'“)

In der folgenden Tabelle sind die auf der Registerkarte Ansicht 'Publikationen übertragen' des Dialogfeldes Replikationsmonitor - Spalten auswählen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Beschreibung
(Kontrollkästchen) | Anzeige der ausgewählten Spalte im Ergebnisbereich.
Typ | Typ des Abonnements.
Status | Status der letzten Aktion des Agenten.
Letzte Aktion | Zuletzt ausgeführte Aktion.
Aktionszeit | Zeitpunkt, zu dem die Aktion ausgeführt wurde.
Startzeit | Zeitpunkt, zu dem diese Sitzung gestartet wurde.
Dauer | Dauer der Agentensitzung.
Übermittlungsrate: (Befehle/Sekunde) | Verhältnis der übermittelten Befehle zur Dauer der Agentensitzung. Solange der Agent noch ausgeführt wird, gibt dieser Wert die Anzahl der übermittelten Zeilen seit Sitzungsbeginn an.
Wartezeit (ms) | Für den Snapshot- oder den Protokolllese-Agenten ist dies die aktuelle Zeitspanne (in Millisekunden), die vom Zeitpunkt der Übernahme von Transaktionen auf dem Verleger bis zu ihrer Übermittlung an den Verteiler verstrichen ist. Für das Abonnement ist dies die aktuelle Zeitspanne (in Millisekunden), die vom Zeitpunkt der Übermittlung von Transaktionen auf dem Verteiler bis zu ihrer Übernahme auf dem Abonnenten verstrichen ist.
Anzahl Transaktionen | Für den Snapshot- oder Protokolllese-Agenten ist dies die Anzahl der Transaktionen, die an den Verteiler übermittelt wurden. Für das Abonnement ist dies die Anzahl der Transaktionen, die an den Abonnenten übermittelt wurden.
Anzahl Befehle | Für den Snapshot- oder Protokolllese-Agenten ist dies die Anzahl der Befehle, die an den Verteiler übermittelt wurden. Für das Abonnement ist dies die Anzahl der Befehle, die an den Abonnenten übermittelt wurden.
Durchsch. Anzahl an Befehlen | Für den Snapshot- oder Protokolllese-Agenten ist dies die Anzahl der Befehle, die in dieser Sitzung pro Transaktion an den Verteiler übermittelt wurden. Für das Abonnement ist dies die Anzahl der Befehle, die in dieser Sitzung pro Transaktion an den Abonnenten übermittelt wurden.
Nach oben | Die ausgewählte Spalte in der Liste nach oben verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach links verschoben.
Nach unten | Die ausgewählte Spalte in der Liste nach unten verschieben. Damit wird die Spalte zudem im Ergebnisbereich nach rechts verschoben.
Zurücksetzen | Alle Spalten auswählen und in der Standardreihenfolge auflisten.


Aktualisierungsrate und Einstellungen (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Aktualisierungsrate und Einstellungen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Replikationselemente im Ergebnisbereich automatisch aktualisieren | Regelmäßige Aktualisierung der detaillierten Ansicht des Replikationsmonitors.
Alle | Festlegen des Zeitraumes zwischen Aktualisierungen (in Sekunden).
Replikationselemente automatisch aktualisieren, die in der Serverstruktur unter 'Replikationsmonitor' angezeigt werden | Regelmäßige Aktualisierung der Replikationselemente, die in der Serverstruktur des Replikationsmonitors angezeigt werden.
Alle | Festlegen des Zeitraumes zwischen Aktualisierungen (in Sekunden).
Als fehlerverdächtig ansehen nach n Minuten ohne Aktivität | Festlegen der Höchstzahl von Minuten, die ein Agent inaktiv sein darf und noch als voll funktionsfähig gilt.


Aktualisierungsrate und Einstellungen (Registerkarte „Systemmonitor“)

In der folgenden Tabelle sind die auf der Registerkarte Systemmonitor des Dialogfeldes Aktualisierungsrate und Einstellungen verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Pfad zu den Systemmonitoreinstellungen | Angabe des Pfades und den Namens der Datei, die die Einstellungen für den Windows NT-Systemmonitor enthält. Diese Datei muss bereits vorhanden sein und ist für den Replikationsmonitor zur Verwendung des Windows NT-Systemmonitors erforderlich.


SQL-Skripts generieren (Registerkarte „Dateioptionen“)

In der folgenden Tabelle sind die auf der Registerkarte Dateioptionen des Dialogfeldes SQL-Skripts generieren verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
MS-DOS-Text | Erstellung des Skripts mit dem OEM-Zeichensatz.
Windows-Text | Erstellung des Skripts mit dem ANSI-Zeichensatz.
Internationaler Text | Erstellung des Skripts mit dem Unicodezeichensatz.
Skript an Datei anhängen | Anhängen des Skripts an das Ende der angegebenen Datei.


SQL-Skripts generieren (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes SQL-Skripts generieren verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Verteilereigenschaften | Definition der Konfiguration des Verteilers in einem Skript. Wenn der Server gleichzeitig ein Verleger und ein Verteiler ist, enthält das Skript alle Konfigurationen. Wenn der Server nur ein Verleger ist, enthält das Skript nur den Zeiger auf den Verteiler.
Publikationen in den nachstehend ausgewählten Datenbanken | Definition der Publikationen in den ausgewählten Datenbanken in einem Skript.
Alles markieren | Auswahl aller Datenbanken in der Liste.
Keine auswählen | Aufheben der Auswahl aller Datenbanken in der Liste.
Aktivieren oder Erstellen der ausgewählten Komponenten | Aktivierung oder Erstellung der Komponenten in den ausgewählten Datenbanken. Fügt auch einen Verteiler hinzu, wenn dies ausgewählt wurde.
Deaktivieren oder Löschen der ausgewählten Komponenten | Deaktivierung oder Löschen der Komponenten in den ausgewählten Datenbanken. Löscht auch einen Verteiler, wenn dies ausgewählt wurde.
Vorschau | Vorschau und Bearbeitung des Skripts vor dem Speichern. Wenn Sie Änderungen am Vorschauskript vornehmen, müssen Sie im Dialogfeld Vorschau auf Speichern unter klicken, um diese Änderungen zu speichern.


Eigenschaften von Abonnent (Registerkarte „Allgemein“)

In der folgenden Tabelle sind die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Abonnent (auf der Seite Abonnenten des Dialogfeldes Verleger- und Verteilereigenschaften) verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Abonnent | Anzeige des Namens des Abonnenten.
Typ | Anzeige des Abonnententyps (SQL Server, ODBC oder OLE DB).
Beschreibung | Eingabe oder Änderung der Beschreibung des Abonnenten.
Durch Annahme der Identität des SQL Server-Agent-Kontos auf Verleger | Verwendung desselben Windows NT-Authentifizierungskontos, das der SQL Server-Agent auf dem Verleger verwendet.
Durch SQL Server-Authentifizierung dieses Kontos | Verwendung der SQL Server-Authentifizierung eines angegebenen Kontos.
Benutzername | Eingabe des Benutzernamens für das Konto.
Kennwort | Eingabe des Kennwortes für das Konto.
Kennwort bestätigen | Erneute Eingabe des Kennwortes für das Konto zur Bestätigung.


Eigenschaften von Abonnent (Registerkarte „Terminpläne“)

In der folgenden Tabelle sind die auf der Registerkarte Terminpläne des Dialogfeldes Eigenschaften von Abonnent (innerhalb der Seite Abonnenten des Dialogfeldes Verleger- und Verteilereigenschaften) verfügbaren Optionen und deren Funktionen aufgeführt.

Option | Zweck
Fortlaufend | Den Standardterminplan, der beim Erstellen neuer Agenten verwendet wird, auf die fortlaufende Ausführung der Agenten festlegen.
Zu den folgenden geplanten Zeiten | Den Standardterminplan, der beim Erstellen neuer Agenten verwendet wird, auf die Ausführung der Agenten gemäß dem über die Schaltfläche Ändern eingerichteten Terminplan festlegen.
Ändern | Den Terminplan für wiederkehrende Aufträge für die Agenten festlegen.


Beschränkungen für sofort aktualisierbare Abonnements

Für sofort aktualisierbare Abonnements gelten die folgenden Beschränkungen:

  • Sofortig aktualisierbare Abonnements werden nur auf Abonnenten mit Microsoft® SQL Server™, Version 7.0, unterstützt.
  • Publizierte Tabellen benötigen Timestampspalten. Eine Timestampspalte wird gegebenenfalls automatisch hinzugefügt.
  • Die Timestampspalte muss in der vertikalen Partition enthalten sein.
  • INSERT-Anweisungen, mit denen einer Tabelle Datenzeilen hinzugefügt werden, müssen eine Spaltenliste aufweisen.
  • Wenn ein Abonnent mehrere Artikel derselben Publikation abonniert, verhindert die Loopbackerkennung, dass Änderungen an einem Artikel auf dem Abonnenten an die anderen Artikel auf dem Abonnenten gesendet werden. Demzufolge werden die anderen Artikel nicht durch den Verteilungs-Agenten synchronisiert, und die Daten weichen in den verschiedenen Artikeln voneinander ab. Um das Fehlschlagen der Replikation auf sofort aktualisierbaren Abonnenten zu verhindern, sollten Sie nicht mehrere Artikel in derselben Publikation abonnieren.


Administratorkennwort angeben

Der Verteiler wurde so konfiguriert, dass dieser Verleger für die Verbindung zum Verteiler ein Kennwort benötigt. Dieses Kennwort muss mit dem Kennwort für administrative Verbindung, das auf dem Verteiler festgelegt wurde, identisch sein. Sie können das Kennwort später über die Registerkarte Verteiler des Dialogfeldes Verleger- und Verteilereigenschaften (klicken Sie im Menü Extras auf Replikation und dann auf Publizierung und Verteilung konfigurieren) ändern.


Verleger aktivieren

Sie können anderen Verlegern die Berechtigung zur Verwendung dieses Verteilers erteilen. Wählen Sie den registrierten Server, dem Sie die Verwendung dieses Verteilers gestatten möchten, und klicken Sie auf die Eigenschaftenschaltfläche (...), um die Sicherheitsoptionen festzulegen.

Die Server, die Sie als Verleger auswählen, verwenden die mit diesem Assistenten erstellte Verteilungsdatenbank. Wenn Sie eine andere als die mit diesem Assistenten erstellte Verteilungsdatenbank verwenden möchten, sollten Sie den Verleger zu diesem Zeitpunkt nicht aktivieren. Verwenden Sie stattdessen das Dialogfeld Publizierung und Verteilung konfigurieren (klicken Sie im Menü Extras auf Replikation und dann auf Publizierung und Verteilung konfigurieren).

Wenn Sie Microsoft® Windows NT® auf Ihrem Server ausführen und einen nicht aufgeführten Server als Verleger aktivieren möchten, klicken Sie auf Server registrieren, um ihn in SQL Server Enterprise Manager zu registrieren und der Liste hinzuzufügen. Plattformen, auf denen Microsoft Windows® 95/98 ausgeführt wird, dürfen nicht als Verteiler für einen anderen Verleger agieren.


Publikationsdatenbanken aktivieren

Sie müssen ein Mitglied der festen Serverrolle sysadmin sein, um eine Datenbank für die Publikation zu aktivieren. Nachdem eine Datenbank aktiviert wurde, kann ein Datenbankbesitzer damit Publikationen erstellen. Ein Systemadministrator kann jedoch eine Publikation erstellen, ohne dass die Datenbank zuvor für die Publikation aktiviert wurde.

Wenn Sie Transaktionspublikationen erstellen möchten, aktivieren Sie die Datenbank für die Transaktionsreplikation. Wenn inkrementelle Änderungen vorgenommen werden, werden sie von der Transaktionsreplikation in der Protokolldatei der Verlegerdatenbank für die Replikation gekennzeichnet; anschließend werden die Transaktionen an die Abonnenten verteilt.

Wenn Sie Mergepublikationen erstellen möchten, aktivieren Sie die Datenbank für die Mergereplikation. Bei der Mergereplikation wird es verschiedenen Standorten ermöglicht, die replizierten Daten unabhängig voneinander zu ändern und diese an allen Standorten vorgenommenen Änderungen später zusammenzuführen. Im Gegensatz zur Transaktionsreplikation kann bei der Mergereplikation keine Transaktionskonsistenz gewährleistet werden.

Wenn z. B. Ihre mobilen Verkaufsmitarbeiter häufig vom Netzwerk getrennt sind, aktivieren Sie die Datenbank als Mergepublikation, damit Änderungen an einer Kundendatenbank zusammengeführt werden können, wenn die Benutzer wieder eine Verbindung zum Netzwerk herstellen. Weitere Informationen zu Transaktions- und Mergepublikationen finden Sie in der SQL Server-Onlinedokumentation.


Verteilungsdatenbankinformationen bereitstellen

Geben Sie einen Namen für die Verteilungsdatenbank ein. Der Name darf aus maximal 128 Zeichen bestehen, wobei folgende Zeichen unzulässig sind: ~‚!%@^&*()+-={}[]|\:;„<>,.?/

Geben Sie den Speicherort der Ordner für die Dateien der Verteilungsdatenbank ein. Mit dem Publizierungs- und Verteilungskonfigurations-Assistenten können Sie nur eine Verteilungsdatenbank angeben. Nach Beendigung des Assistenten besteht jedoch die Möglichkeit, im Dialogfeld Publizierung und Verteilung konfigurieren (klicken Sie im Menü Extras auf Replikation und dann auf Publizierung und Verteilung konfigurieren) zusätzliche Verteilungsdatenbanken anzugeben.

Sie können Schreibvorgänge für Transaktionen beschleunigen und die Replikationsleistung verbessern, indem Sie das Verteilungsprotokoll nicht auf der gleichen Festplatte wie die Verteilungsdatenbank speichern.


Verteiler auswählen

Der Verteiler verwendet die folgenden zusätzlichen Ressourcen auf dem Server, auf dem er sich befindet:

  • Zusätzlichen Festplattenspeicher zum Speichern des Snapshots der Publikation.
  • Zusätzlichen Festplattenspeicher zum Speichern der Verteilungsdatenbank.
  • Zusätzliche Prozessorzeit, die von den auf dem Server mit dem Verteiler ausgeführten Replikations-Agenten verwendet wird.

Der Server, den Sie als Verteiler auswählen, sollte ausreichend Speicherplatz und Prozessorleistung für die Replikation und sonstige Aktivitäten, die auf diesem Server basieren, aufweisen.

Klicken Sie auf Ja, Server als Verteiler verwenden, um den lokalen Server als Verteiler zu verwenden. Klicken Sie auf Nein, einen anderen Server verwenden, um einen Remoteserver als Verteiler zu verwenden. Wenn Sie einen Remoteserver als Verteiler verwenden möchten, vergewissern Sie sich, dass der Remoteserver bereits als Verteiler konfiguriert ist und der lokale Server als Verleger auf diesem Verteiler aktiviert ist. Wenn der Server, den Sie als Verteiler verwenden möchten, nicht aufgeführt ist, wählen Sie Nein, einen anderen Server verwenden, und klicken Sie dann auf Server registrieren, um ihn in SQL Server Enterprise Manager zu registrieren und der Liste hinzuzufügen.


Abonnenten aktivieren

Mit diesem Assistenten können Sie nur Microsoft® SQL Server™-Abonnenten konfigurieren. Einen heterogenen Abonnenten können Sie jedoch später im Dialogfeld Publizierung und Verteilung konfigurieren (klicken Sie im Menü Extras auf Replikation und dann auf Publizierung und Verteilung konfigurieren) einrichten.

Wenn der Server, den Sie als Abonnenten aktivieren möchten, nicht aufgeführt ist, klicken Sie auf Server registrieren, um ihn in SQL Server Enterprise Manager zu registrieren und der Liste hinzuzufügen.


Anonyme Abonnenten zulassen

Ein anonymes Abonnement ist eine besondere Art von Pullabonnement. In der Regel werden Informationen zu allen Abonnenten auf dem Verleger gespeichert und Leistungsinformationen zu den Abonnenten auf dem Verteiler abgelegt. Verwenden Sie anonyme Abonnements, um den Overhead für die Beibehaltung dieser Informationen zu vermeiden. Anonyme Abonnements sind besonders nützlich, wenn Ihre Publikation sehr viele Abonnenten oder Internetabonnenten aufweist.

Da ein anonymes Abonnement vom Abonnenten initiiert wird, liegt die Verantwortung für die ständige Synchronisation mit dem Verleger beim Abonnenten.


Artikel angeben

Wählen Sie das Objekt aus, das Sie als Artikel publizieren möchten. Artikel stellen normalerweise eine vollständige Tabelle oder Teile davon dar. Bei Transaktionspublikationen können Sie jedoch auch gespeicherte Prozeduren als Artikel publizieren.

Berücksichtigen Sie bei Mergepublikationen, ob die Publikation Bezugstabellen (Tabellen mit Fremdschlüsseln, die auf Primärschlüssel in anderen Tabellen verweisen) aufweisen soll. Jeder Versuch, auf dem Abonnenten neue Zeilen hinzuzufügen, schlägt fehl, weil Microsoft® SQL Server™ den Primärschlüssel nicht finden kann (es sei denn, die Bezugstabellen sind eingeschlossen). Eine Aktualisierung vorhandener Zeilen ist jedoch möglich, weil SQL Server keine neuen Zeilen und Schlüssel hinzufügen muss. Wenn Sie sicherstellen möchten, dass Artikeln in dieser Publikation auf Abonnenten neue Zeilen hinzugefügt werden können, schließen Sie Bezugstabellen ein.

Nachdem die Mergepublikationen erstellt wurden, aber bevor Abonnements erstellt werden, können sie dahingehend geändert werden, dass weitere Artikel hinzufügt werden. Demzufolge können Sie jede fehlende Bezugstabelle einer Publikation hinzufügen, wenn Sie zu einem späteren Zeitpunkt feststellen, dass ein Artikel mit weiteren Zeilen aktualisiert werden muss und nicht lediglich mit Änderungen an vorhandenen Zeilen. Fügen Sie die fehlende Tabelle im Dialogfeld Eigenschaften von Publikation hinzu (zeigen Sie im Menü Extras auf Replikation und dann auf Publikationen erstellen und verwalten, wählen Sie die Publikation aus, und klicken Sie dann auf Eigenschaften & Abonnements).


Filter automatisch erzeugen

Um einen statischen Filter in Ihrer Tabelle zu definieren, suchen Sie in der Datenbank eine Tabelle, in der mindestens eine Spalte der gewünschten Filtermerkmale enthalten ist.

Um einen dynamischen Filter zu definieren, suchen Sie in der Datenbank eine Tabelle, in der mindestens eine Spalte mit Hostnamen und mindestens eine Spalte der gewünschten Filtermerkmale eines Hosts enthalten ist. Beispielsweise enthält eine Spalte in der folgenden Tabelle Hostnamen und eine zweite Spalte die zugehörige Region.

Hostname | Region
Smith | 5
Smith | 6
Jones | 2
Green | 1

Die Tabelle dient als Ausgangspunkt für einen Filter auf Hostnamen, der automatisch erweitert werden kann, um auch verbundene Tabellen zu filtern. Wird in diesem Beispiel ein Filter angewendet, der nur Zeilen für Smith zurückgibt, so würde Microsoft® SQL Server™ auch die Zeilen für die Regionen 5 und 6 in allen verbundenen Tabellen einschließen. Wenn in der Datenbank keine geeignete Tabelle vorhanden ist, müssen Sie eine erstellen.

Wählen Sie für statische oder dynamische Filter aus der Liste die Tabelle in der Datenbank aus, welche die im ersten Filter verwendete(n) Datenspalte(n) enthält. Geben Sie dann die Bedingungen ein, die verwendet werden sollen, um den ersten Filter auf andere Datenspalten in der Tabelle zu erweitern. Geben Sie nur die Bedingungen für den Filter ein. Geben Sie nicht die gesamte SELECT-Anweisung ein, und geben Sie nicht das WHERE-Schlüsselwort ein. Geben Sie beispielsweise nur Folgendes ein:

sales.rep = HOST_NAME()

Anstatt der folgenden Eingabe:

WHERE sales.rep = HOST_NAME()

Sobald Sie dieses Dialogfeld des Assistenten beenden, erzeugt SQL Server eine vorläufige Liste der Verknüpfungsfilter, die im nächsten Dialogfeld des Assistenten angezeigt werden.


Automatisches Filtern

Bei der Auswahl einer Tabelle zum Filtern können Sie eine Pivot-Tabelle in Ihrer Datenbank auswählen. Eine Pivot-Tabelle enthält Verknüpfungen zu anderen Tabellen, in denen sich die gewünschten Daten für die gefilterte Publikation befinden.


Tabellenspalten filtern

Es ist möglich, die Tabellenspalten in einer Snapshot- oder Transaktionspublikation zu filtern, um die publizierte Datenmenge zu reduzieren. Mergepublikationen unterstützen Filter auf Tabellenspalten nicht.

Wählen Sie die Spalten für die Publikation aus. In der Spaltenliste im Artikel können Sie das Kontrollkästchen links neben dem Spaltennamen aktivieren oder deaktivieren, um anzugeben, ob die Spalte für den Artikel ein- oder ausgeschlossen werden soll. Spalten, die Teil des Primärschlüssels für die Tabelle sind (angezeigt durch ein Schlüsselsymbol anstelle des Kontrollkästchens), können nicht von der Publikation ausgeschlossen werden. Wenn die Publikation sofort aktualisierbare Abonnements zuläßt, können timestamp-Spalten (angezeigt durch ein Uhrsymbol anstelle des Kontrollkästchens) nicht von der Publikation ausgeschlossen werden.


Dynamische Filter aktivieren

Mit der Festlegung dynamischer Filter für eine Tabelle können Sie anpassen, welche Teilmengen von Daten an die einzelnen Abonnenten gemäß ihren Anforderungen gesendet werden. Der dynamische Filter überprüft die Merkmale des Abonnenten und leitet dann die entsprechenden Daten laut Filterdefinition weiter. Auf diese Weise können Sie eine einzelne Publikation erstellen, die verschiedenen Abonnenten oder Abonnentengruppen unterschiedliche Datasets bietet.

Sie müssen den dynamischen Filter unter Verwendung einer Funktion wie z. B. HOST_NAME manuell erstellen, um zu bestimmen, welche Daten an welche Abonnenten zurückgegeben werden. Sie können dann Hostname im Merge Agent-Dienstprogramm festlegen. Weitere Informationen über das Merge Agent-Dienstprogramm finden Sie unter „Replication Merge Agent-Dienstprogramm“ in der SQL Server-Onlinedokumentation.

Bei Verwendung von dynamischen Filtern benötigt der Merge-Agent möglicherweise etwas länger, um den Anfangssnapshot der Publikation anzuwenden. Anstatt für alle Daten vom Verleger Massenkopien vorzunehmen, liest der Merge-Agent zeilenweise und gleicht die Merkmale des Abonnenten mit dem Filter ab. Um die zusätzliche Verarbeitungszeit zuzulassen und einen Timeoutfehler zu vermeiden, stellen Sie QueryTimeOut im Merge Agent-Dienstprogramm oder im Profil des Merge-Agenten auf einen höheren Wert ein. Die beim Erstellen des Anfangssnapshots und zu Beginn der Synchronisation zusätzlich benötigte Zeit wird häufig mehr als ausgeglichen, da weniger Daten über das Netzwerk gesendet werden müssen und daher die Übertragungszeiten kürzer sind.

Wenn Sie dynamische Filter mit einer systeminternen Funktion, wie z. B. HOST_NAME() oder SUSER_NAME(), verwenden, müssen Sie den Merge-Agent-Auftrag so ändern, dass im Parameter Hostname oder PublisherLogin der Wert für den Filter festgelegt werden kann. Wenn Sie den Parameter -PublisherLogin des Merge-Agenten ändern, müssen Sie den Benutzernamen auch in der Publikationszugriffsliste angeben.

Wählen Sie Ja, dynamische Filter aktivieren, um die Verwendung dynamischer Filter für die Publikation zu aktivieren.


Daten filtern

Vollständig replizierte Datenbanken publizieren alle Datenbanktabellen auf Remotestandorten. Wenn Sie jedoch die optimale Leistung Ihrer Anwendung sicherstellen und den am Remotestandort benötigten Speicherplatz verringern möchten oder wenn Sie die Verfügbarkeit bestimmter Daten für bestimmte Abonnenten beschränken möchten, sollten Sie nur die Mindestmenge an erforderlichen Daten publizieren. Die Publikationen kann sowohl ungefilterte als auch gefilterte Tabellen einschließen. Beispielsweise könnten Sie die vollständige (ungefilterte) Tabelle der Firmenprodukte und die gefilterte Tabelle der Kunden aus einer bestimmten Region einschließen.

Die publizierte Datenmenge kann durch Filtern eines Artikels nach spezifischen Attributen begrenzt werden. Es empfiehlt sich z. B., die Tabellenzeilen zu filtern, wenn Standorte oder Regionen in der replizierten Topologie nur auf bestimmte Zeilen in der Datenbank zugreifen müssen. Wenn Sie eine Snapshot- oder Transaktionspublikation erstellen, sollten Sie Tabellenspalten filtern, wenn eine begrenzte Netzwerkkapazität vorhanden ist oder wenn Abonnenten eine begrenzte Kapazität zum Speichern umfangreicher Text- oder Bildspalten haben. Mergepublikationen unterstützen Filter auf Tabellenspalten nicht.


Tabellenzeilen filtern

Es ist möglich, die Zeilen in einer Tabelle zu filtern, um die publizierte Datenmenge zu reduzieren. Die Filteranweisung darf nur auf Spalten und Werte in dieser Tabelle verweisen. Filter können nicht auf Daten in anderen Spalten verweisen, um zu bestimmen, ob Zeilen dieser Tabelle ein- oder ausgeschlossen werden.

Klicken Sie auf die Eigenschaftenschaltfläche (...), um die als Filter verwendete WHERE-Klausel einzugeben.


Sofort aktualisierbare Abonnements zulassen

Sofort aktualisierbare Abonnements können mit Transaktions- oder Snapshotpublikationen eingesetzt werden. Ein Abonnent kann Abonnementdaten ändern, wenn die Transaktion durch einen Zweiphasencommit mit dem Verleger durchgeführt werden kann. Diese Vorgehensweise garantiert lose Transaktionskonsistenz, ohne dass Aktualisierungen nur auf dem Verleger vorgenommen werden müssen. Die Zweiphasencommit-Transaktion mit dem Verleger erfolgt automatisch; daher können Sie eine Anwendung erstellen, um nur einen einzigen Standort zu aktualisieren. Nachdem die Änderung auf dem Verleger vorgenommen wurde, wird sie auf alle anderen Abonnenten der Publikation verteilt.


Verteiler auswählen

Der Verteiler verwendet die folgenden zusätzlichen Ressourcen auf dem Server, auf dem er sich befindet:

  • Zusätzlichen Festplattenspeicher zum Speichern des Snapshots der Publikation.
  • Zusätzlichen Festplattenspeicher zum Speichern der Verteilungsdatenbank.
  • Zusätzliche Prozessorzeit, die von den auf dem Server mit dem Verteiler ausgeführten Replikations-Agenten verwendet wird.

Der Server, den Sie als Verteiler auswählen, sollte ausreichend Speicherplatz und Prozessorleistung für die Replikation und sonstige Aktivitäten, die auf diesem Server basieren, aufweisen.

Wählen Sie Ja, Server als Verteiler verwenden, um den lokalen Server als Verteiler zu verwenden. Klicken Sie auf Nein, einen anderen Server verwenden, um einen Remoteserver als Verteiler zu verwenden. Wenn Sie einen Remoteserver als Verteiler verwenden möchten, vergewissern Sie sich, dass der Remoteserver bereits als Verteiler konfiguriert ist und der lokale Server als Verleger auf diesem Verteiler aktiviert ist. Wenn der Server, den Sie als Verteiler verwenden möchten, nicht aufgeführt ist, wählen Sie Nein, einen anderen Server verwenden, und klicken Sie dann auf Server registrieren, um ihn in SQL Server Enterprise Manager zu registrieren und der Liste hinzuzufügen.


Publikationstyp auswählen

Wählen Sie den Publikationstyp, der am besten den Anforderungen Ihrer Anwendung gerecht wird. Weitere Informationen zu den Publikationstypen finden Sie in der Microsoft® SQL Server™-Onlinedokumentation.

Anmerkung Wenn Sie Microsoft® SQL Server Desktop Edition verwenden, wird Transaktionspublikation grau dargestellt. Die Lizenz für SQL Server Desktop Edition lässt die Erstellung von Transaktionspublikationen nicht zu. Sie können jedoch weiterhin Transaktionspublikationen abonnieren. Um Transaktionspublikationen auf diesem Server zu erstellen, muss SQL Server Standard Edition oder SQL Server Enterprise Edition installiert sein. Weitere Informationen erhalten Sie bei Ihrem Systemadministrator.


Standardeigenschaften der Publikation verwenden

Das Übernehmen der Standardeigenschaften für die Publikation ist die schnellste Möglichkeit, den Assistenten zu beenden und die Publikation zu erstellen. Sie müssen den Assistenten fortsetzen, wenn Sie Folgendes durchführen möchten:

  • Änderungen an Daten durch sofort aktualisierende Abonnenten zulassen.
  • Erstellen von Abonnements durch anonyme Abonnenten zulassen.
  • Angeben, ob Snapshots immer verfügbar sein sollen, um neue Abonnements sofort zu synchronisieren.
  • Nur bestimmte Zeilen oder Spalten aus einer Tabelle publizieren.


Anonymes Abonnement zulassen

Ein anonymes Abonnement ist eine besondere Art von Pullabonnement. In der Regel werden Informationen zu allen Abonnenten auf dem Verleger gespeichert und Leistungsinformationen zu den Abonnenten auf dem Verteiler abgelegt. Verwenden Sie anonyme Abonnements, um den Overhead für die Beibehaltung dieser Informationen zu vermeiden. Der Abonnent ist für die ständige Synchronisation eines anonymen Abonnements mit dem Verleger verantwortlich.


Terminplan für Verteilungs-Agenten festlegen

Bestimmen Sie den Terminplan für den Verteilungs-Agenten, der für dieses Abonnement ausgeführt werden soll. Wählen Sie Fortlaufend, um enge Konsistenz zwischen den Daten auf dem Verleger und dem Abonnenten zu gewährleisten.

Mit Folgenden Terminplan verwenden wird der Verteilungs-Agent stündlich (Standardwert), täglich, wöchentlich oder monatlich ausgeführt. Die Auswahl eines anderen Intervalls als Fortlaufend erhöht jedoch die Wartezeit bezüglich der Datenkonsistenz zwischen dem Abonnenten und dem Verleger.

Wählen Sie Kein Terminplan, um den Verteilungs-Agenten nur bei Bedarf auszuführen. Diese Option aktiviert auch einen Abonnenten für die Verwendung des Microsoft Synchronisations-Managers auf Microsoft® Windows NT®-Plattformen.

Wenn Sie mehrere Abonnements erstellen und den Terminplan für mehrere Verteilungs-Agenten festlegen, können Sie für jeden Agenten einen separaten Terminplan festlegen oder für alle Verteilungs-Agenten den Standardterminplan verwenden.


Snapshotübermittlung

Die abonnierte Publikation ermöglicht Abonnenten die Verwendung von FTP (File Transfer Protocol) zum Download der Snapshotdatei über das Internet. Wenn der Abonnent bei der Initialisierung des Abonnements keinen direkten Netzwerkzugriff auf die Snapshotdateien hat, kann Microsoft® SQL Server™ die Snapshotdatei per FTP über das Internet kopieren.


Abonnementpriorität festlegen

Für Mergepublikationen kann für jedes Abonnement eine Prioritätsnummer festgelegt werden. Die Prioritätsnummer zeigt an, wie Konflikte zwischen Abonnements während der Aktualisierung der Daten gelöst werden. Jedem Abonnement wird eine Prioritätsnummer zugewiesen, nämlich eine Zahl zwischen 0,00 (niedrigste Priorität) und 99,99 (höchste Priorität). Das Abonnement mit der höchsten Priorität ist Gewinner bei einem Konflikt, falls mehrere Abonnements gleichzeitig versuchen, dieselbe Zeile zu aktualisieren. Die angegebene Prioritätsnummer darf nicht größer als die Prioritätsnummer auf dem Verleger sein.


Benutzernamen für sofort aktualisierbares Abonnement festlegen

Die Publikationszugriffsliste bestimmt, welche Benutzernamen die Berechtigung haben, die Daten in der Publikation zu aktualisieren. Achten Sie darauf, dass der angegebene Benutzername in der Standard-Publikationszugriffsliste für diese Publikation vorhanden ist.


Publication

Publikation auswählen

Wenn Sie einen Verleger erweitern, zeigt SQL Server Enterprise Manager die Publikationen an, die den folgenden Anforderungen entsprechen:

  • Der aktuelle Benutzername ist in der Standard-Publikationszugriffsliste für diese Publikation enthalten.
  • Der aktuelle Server ist ein aktivierter Abonnent auf dem Verleger, oder die Publikation erlaubt anonymen Abonnenten das Erstellen von Abonnements.

Wenn sich die Publikation, die Sie abonnieren möchten, nicht auf der Liste befindet, fügen Sie Ihren Benutzernamen zur Publikationszugriffsliste für die Publikation hinzu. Klicken Sie in der Serverstruktur auf den Verlegernamen. Zeigen Sie im Menü Extras auf Replikation, und klicken Sie dann auf Publikationen erstellen und verwalten. Erweitern Sie die Datenbank, wählen Sie die Publikation aus, und klicken Sie dann auf Eigenschaften & Abonnements. Klicken Sie im Dialogfeld Eigenschaften von Publikation auf Publikationszugriffsliste, und fügen Sie dann Ihren Benutzernamen hinzu.

Wenn der aktuelle Server nicht als Abonnent auf dem Verleger aktiviert ist, fügen Sie den Abonnenten hinzu. Klicken Sie in der Serverstruktur auf den Verlegernamen. Zeigen Sie im Menü Extras auf Replikation, und klicken Sie dann auf Publizierung, Abonnenten und Verteilung konfigurieren. Aktivieren Sie auf der Registerkarte Abonnenten das Kontrollkästchen links neben dem Abonnentennamen. Wenn der Abonnement nicht aufgeführt ist, klicken Sie auf Neuer Abonnent, klicken Sie auf den Typ des zu registrierenden Abonnenten, und geben Sie dann die Server und Verbindungsinformationen ein.

Wenn die Publikation anonymen Abonnenten das Erstellen von Abonnements nicht ermöglicht, ändern Sie diese Eigenschaft. Klicken Sie in der Serverstruktur auf den Verlegernamen. Zeigen Sie im Menü Extras auf Replikation, und klicken Sie dann auf Publikationen erstellen und verwalten. Erweitern Sie die Datenbank, klicken Sie auf die Publikation, und klicken Sie dann auf Eigenschaften & Abonnements. Klicken Sie im Dialogfeld Eigenschaften von Publikation auf Abonnementoptionen, und wählen Sie dann Ausführen von Pull für Abonnements durch anonyme Abonnenten zulassen.


Abonnentensicherheit angeben

Für diesen Abonnenten wurde in Enterprise Manager registriert, dass der Benutzer bei der Verbindung zum Abonnenten ein Kennwort eingeben muss. Wählen Sie die Verbindungsinformationen, die die Replikations-Agenten verwenden sollen. Wählen Sie Durch Annahme der Identität des SQL Server-Agent-Kontos auf Server, um dasselbe Windows NT-Authentifizierungskonto wie der SQL Server-Agent auf dem Server zu verwenden. Wählen Sie Durch SQL Server-Authentifizierung dieses Kontos, um die SQL Server-Authentifizierung eines angegebenen Kontos zu verwenden.

Sie können das Kennwort später über die Registerkarte Sicherheit des Dialogfeldes Eigenschaften von Pullabonnement (klicken Sie im Menü Extras auf Replikation, klicken Sie auf Pullabonnement und dann auf Eigenschaften) ändern.


Abonnenten auswählen

Wählen Sie die Datenquelle aus, die diese Publikation abonnieren wird. Wenn Sie die UMSCHALTTASTE gedrückt halten, können Sie mehrere Server auswählen. Durch die Auswahl eines Gruppennamens werden alle Server in dieser Gruppe ausgewählt.

Die Gruppe Aktivierte Abonnenten enthält alle Abonnenten (sowohl Microsoft® SQL Server™ als auch heterogene Datenquellen), die zuvor als Abonnenten aktiviert wurden. Sollte ein Abonnent in der Liste fehlen, beenden Sie den Assistenten, und aktivieren Sie den Abonnenten im Dialogfeld Publizierung und Verteilung konfigurieren (klicken Sie im Menü Extras auf Replikation und dann auf Publizierung und Verteilung konfigurieren).


Terminplan für Verteilungs-Agenten festlegen

Bestimmen Sie den Terminplan für den Verteilungs-Agenten, der für dieses Abonnement ausgeführt werden soll. Wählen Sie Fortlaufend, um enge Konsistenz zwischen den Daten auf dem Verleger und dem Abonnenten zu gewährleisten.

Mit Folgenden Terminplan verwenden wird der Verteilungs-Agent stündlich (Standardwert), täglich, wöchentlich oder monatlich ausgeführt. Die Auswahl eines anderen Intervalls als Fortlaufend erhöht jedoch die Wartezeit bezüglich der Datenkonsistenz zwischen dem Abonnenten und dem Verleger.

Wenn Sie mehrere Abonnements erstellen und den Terminplan für mehrere Verteilungs-Agenten festlegen, wählen Sie Verwendet individuelle Terminplänen für jedes Abonnement, um für jeden Agenten einen separaten Terminplan festzulegen oder für alle Verteilungs-Agenten den Standardterminplan zu verwenden.

Wenn Sie ein Pullabonnement erstellen, wählen Sie Kein Terminplan, um den Verteilungs-Agenten nur auf Anforderung auszuführen.


Sofort aktualisierbares Abonnement festlegen

Geben Sie an, ob dieser Abonnent das Abonnement aktualisieren darf. Sofort aktualisierbare Abonnements können mit Transaktions- oder Snapshotpublikationen eingesetzt werden. Ein Abonnent kann Abonnementdaten ändern, wenn die Transaktion durch einen Zweiphasencommit mit dem Verleger durchgeführt werden kann. Diese Vorgehensweise garantiert lose Transaktionskonsistenz, ohne dass Aktualisierungen nur auf dem Verleger vorgenommen werden müssen. Die Zweiphasencommit-Transaktion mit dem Verleger erfolgt automatisch; daher können Sie eine Anwendung erstellen, um nur einen einzigen Standort zu aktualisieren. Nachdem die Änderung auf dem Verleger vorgenommen wurde, wird sie auf alle anderen Abonnenten der Publikation verteilt.


Hilfe zum Replikationskonflikt-Viewer

Der Replikationskonflikt-Viewer hilft Ihnen beim Anzeigen und Lösen von Konflikten, die während der Mergereplikation aufgetreten sind. Konflikte treten auf, wenn dieselben Daten gleichzeitig an zwei verschiedenen Speicherorten bearbeitet werden, z. B. auf einem Verleger und einem Abonnenten oder aber auf zwei verschiedenen Abonnenten. Konflikte können ebenfalls auftreten, wenn Datenänderungen, die an einem Speicherort vorgenommen wurden, Einschränkungen an einem anderen Speicherort verletzen (dies wird als Divergenzkonflikt bezeichnet). Nach dem Auftreten eines Divergenzkonflikts sind die Daten an den beiden Speicherorten erst nach der Lösung des Konflikts wieder identisch.

Diese Konflikte werden auf der Grundlage der Priorität, die beim Erstellen des Abonnements eingestellt war, oder auf der Grundlage benutzererstellter Lösungsprozeduren behoben. Mit dem Replikationskonflikt-Viewer können Sie nachvollziehen, wie diese Konflikte gelöst wurden, und Änderungen an diesen Lösungen vornehmen.

Wenn Sie einen Divergenzkonflikt ignorieren, sollten Sie den zugrunde liegenden Konflikt zwischen Dateneinschränkungen möglichst bald lösen. Beginnen Sie mit der Protokollierung der Konfliktinformationen, und senden Sie dann den Protokolleintrag an Ihren Systemadministrator. Überprüfen Sie anschließend die Einschränkungen, die für die Daten an den beiden Speicherorten gelten, um sicherzustellen, dass sie an den verschiedenen Standorten identisch sind.

In der folgenden Tabelle sind die im Dialogfeld Microsoft-Replikationskonflikt-Viewer verfügbaren Optionen und deren Funktionen aufgeführt.

Anmerkung

Welche spezifischen Optionen angezeigt werden, hängt vom aufgetretenen Konflikt ab. Nicht alle Optionen sind in allen Dialogfeldern verfügbar. Datumsangaben werden im ISO-Datetime-Format und nicht im lokalen Format angezeigt.

Option | Zweck
Konfliktursache | Anzeige des spezifischen Grundes für den aufgetretenen Konflikt und der Art und Weise, wie dieser gelöst wurde.
Nur Spalten mit Konflikten anzeigen | Anzeige der GUID-Spalte (eindeutiger Bezeichner) und nur der Spalten mit Konflikten.
Alle Spalten anzeigen | Anzeige aller Spalten der Zeile.
Vorhandene Daten beibehalten | Annahme der aktuellen Lösung des Konflikts.
Überarbeitete Daten beibehalten | Annahme der aktuellen Lösung des Konflikts, allerdings unter Berücksichtigung der in den Bearbeitungsfeldern vorgenommenen Überarbeitungen.
Löschung beibehalten | Annahme der aktuellen Lösung des Konflikts; Daten bleiben gelöscht.
Konflikt ignorieren | Kennzeichnung des Konflikts als gelöst, ohne Änderungen vorzunehmen. Dies führt zu einer Diskrepanz und sollte möglichst bald auf andere Weise gelöst werden.
Mit Konfliktdaten überschreiben | Außerkraftsetzung der Lösung des Konflikts und Beibehalten der angezeigten Konfliktdaten.
Mit vorhandenen Daten überschreiben | Außerkraftsetzung der Lösung des Konflikts und Beibehalten der angezeigten vorhandenen Daten.
Mit überarbeiteten Daten überschreiben | Außerkraftsetzung der Lösung des Konflikts durch die Überarbeitungen in den Bearbeitungsfeldern und Beibehalten der angezeigten überarbeiteten Daten.
Daten löschen | Löschen der in den Spalten angezeigten Daten.
Details dieses Konflikts zur späteren Bezugnahme protokollieren | Erstellung einer Kopie des Konflikts und Speicherung in einer eigenen Protokolldatei für die spätere Verwendung. Die Datei wird in Windows-Verzeichnis\profiles\Benutzer\Anwendungsdaten\Microsoft\Database Replication\UnresolvedConflicts.log gespeichert.


Hilfe zum Replikationskonflikt-Viewer

Der Replikationskonflikt-Viewer hilft Ihnen beim Anzeigen und Lösen von Konflikten, die während der Mergereplikation aufgetreten sind. Konflikte treten auf, wenn dieselben Daten gleichzeitig an zwei verschiedenen Speicherorten geändert werden. Die folgenden beiden Konflikte sind möglich:

  • Aktualisierungs- und Einfügekonflikte, bei denen dieselben Daten an zwei verschiedenen Speicherorten geändert werden. Eine Änderung „gewinnt“, während die andere „verliert“. Bei diesen Konflikten haben Sie die Möglichkeit, die vorhandenen Daten beizubehalten (die Daten, die gewonnen haben) oder die vorhandenen Daten mit den Daten zu überschreiben, die einen Konflikt mit ihnen ausgelöst haben (die Daten, die verloren haben). Wenn Sie die vorhandenen Daten beibehalten, bleiben diese im Replikat, das gewonnen hat, und der Microsoft-Replikationskonflikt-Viewer fügt sie dem Replikat hinzu, dessen Aktualisierung oder Einfügung ursprünglich verloren hat. Wenn Sie die vorhandenen Daten mit den Konfliktdaten überschreiben, werden die Replikate geändert und die Daten hinzugefügt, die ursprünglich verloren haben.
  • Löschkonflikte, bei denen dieselbe Zeile an einem Speicherort gelöscht und an einem anderen bearbeitet wird.

Mit dem Replikationskonflikt-Viewer können Sie nachvollziehen, wie diese Konflikte gelöst wurden, und Änderungen an diesen Lösungen vornehmen.

In der folgenden Tabelle sind die im Dialogfeld Microsoft-Replikationskonflikt-Viewer verfügbaren Optionen und deren Funktionen aufgeführt.

Anmerkung

Welche spezifischen Optionen angezeigt werden, hängt vom aufgetretenen Konflikt ab. Nicht alle Optionen sind in allen Dialogfeldern verfügbar. Datumsangaben werden im ISO-Datetime-Format und nicht im lokalen Format angezeigt.

Option | Zweck
Konfliktursache | Anzeige des spezifischen Grundes für den aufgetretenen Konflikt und der Art und Weise, wie dieser gelöst wurde.
Nur Felder mit Konflikten anzeigen | Anzeige der GUID-Spalte (eindeutiger Bezeichner) und nur der Felder mit Konflikten.
Alle Felder anzeigen | Anzeige aller Felder des Datensatzes.
Vorhandene Daten beibehalten | Annahme der aktuellen Lösung des Konflikts.
Überarbeitete Daten beibehalten | Annahme der aktuellen Lösung des Konflikts, allerdings unter Berücksichtigung der in den Bearbeitungsfeldern vorgenommenen Überarbeitungen.
Löschung beibehalten | Annahme der aktuellen Lösung des Konflikts; Daten bleiben gelöscht.
Konflikt ignorieren | Kennzeichnung des Konflikts als gelöst, ohne Änderungen vorzunehmen. Dies führt zu einer Diskrepanz und sollte möglichst bald auf andere Weise gelöst werden.
Mit Konfliktdaten überschreiben | Außerkraftsetzung der Lösung des Konflikts und Beibehalten der angezeigten Konfliktdaten.
Mit vorhandenen Daten überschreiben | Außerkraftsetzung der Lösung des Konflikts und Beibehalten der angezeigten vorhandenen Daten.
Mit überarbeiteten Daten überschreiben | Außerkraftsetzung der Lösung des Konflikts durch die Überarbeitungen in den Bearbeitungsfeldern und Beibehalten der angezeigten überarbeiteten Daten.
Daten löschen | Löschen der in den Feldern angezeigten Daten.
Details dieses Konflikts zur späteren Bezugnahme protokollieren | Erstellung einer Kopie des Konflikts und Speicherung in einer eigenen Protokolldatei für die spätere Verwendung. Die Datei wird in Windows-Verzeichnis\profiles\Benutzer\Anwendungsdaten\Microsoft\Database Replication\UnresolvedConflicts.log gespeichert.


Hilfe zum Replikationskonflikt-Viewer

Der Replikationskonflikt-Viewer hilft Ihnen beim Anzeigen und Lösen von Konflikten, die während der Mergereplikation aufgetreten sind. Konflikte treten auf, wenn dieselben Daten gleichzeitig an zwei verschiedenen Speicherorten geändert werden. Konflikte können ebenfalls auftreten, wenn Datenänderungen, die an einem Speicherort vorgenommen wurden, Gültigkeitsregeln an einem anderen Speicherort verletzen (wird als Divergenzkonflikt bezeichnet). Nach dem Auftreten eines Divergenzkonflikts sind die Daten an den beiden Speicherorten erst nach der Lösung des Konflikts wieder identisch.

Diese Konflikte werden auf der Grundlage der Priorität, die beim Erstellen des Replikats eingestellt war, oder auf der Grundlage benutzererstellter Lösungsprozeduren behoben. Mit dem Replikationskonflikt-Viewer können Sie nachvollziehen, wie diese Konflikte gelöst wurden, und Änderungen an diesen Lösungen vornehmen.

Wenn Sie diesen Konflikt ignorieren, sollten Sie ihn möglichst bald auf andere Weise lösen. Beginnen Sie mit der Protokollierung der Konfliktinformationen, und senden Sie dann den Protokolleintrag an Ihren Systemadministrator. Überprüfen Sie anschließend die Einschränkungen, die für die Daten an den beiden Speicherorten gelten, um sicherzustellen, dass sie an den verschiedenen Standorten identisch sind.

In der folgenden Tabelle sind die im Dialogfeld Microsoft-Replikationskonflikt-Viewer verfügbaren Optionen und deren Funktionen aufgeführt.

Anmerkung

Welche spezifischen Optionen angezeigt werden, hängt vom aufgetretenen Konflikt ab. Nicht alle Optionen sind in allen Dialogfeldern verfügbar. Datumsangaben werden im ISO-Datetime-Format und nicht im lokalen Format angezeigt.

Option | Zweck
Konfliktursache | Anzeige des spezifischen Grundes für den aufgetretenen Konflikt und der Art und Weise, wie dieser gelöst wurde.
Nur Felder mit Konflikten anzeigen | Anzeige der GUID-Spalte (eindeutiger Bezeichner) und nur der Felder mit Konflikten.
Alle Felder anzeigen | Anzeige aller Felder des Datensatzes.
Vorhandene Daten beibehalten | Annahme der aktuellen Lösung des Konflikts.
Überarbeitete Daten beibehalten | Annahme der aktuellen Lösung des Konflikts, allerdings unter Berücksichtigung der in den Bearbeitungsfeldern vorgenommenen Überarbeitungen.
Löschung beibehalten | Annahme der aktuellen Lösung des Konflikts; Daten bleiben gelöscht.
Konflikt ignorieren | Kennzeichnung des Konflikts als gelöst, ohne Änderungen vorzunehmen. Dies führt zu einer Diskrepanz und sollte möglichst bald auf andere Weise gelöst werden.
Mit Konfliktdaten überschreiben | Außerkraftsetzung der Lösung des Konflikts und Beibehalten der angezeigten Konfliktdaten.
Mit vorhandenen Daten überschreiben | Außerkraftsetzung der Lösung des Konflikts und Beibehalten der angezeigten vorhandenen Daten.
Mit überarbeiteten Daten überschreiben | Außerkraftsetzung der Lösung des Konflikts durch die Überarbeitungen in den Bearbeitungsfeldern und Beibehalten der angezeigten überarbeiteten Daten.
Daten löschen | Löschen der in den Feldern angezeigten Daten.
Details dieses Konflikts zur späteren Bezugnahme protokollieren | Erstellung einer Kopie des Konflikts und Speicherung in einer eigenen Protokolldatei für die spätere Verwendung. Die Datei wird in Windows-Verzeichnis\profiles\Benutzer\Anwendungsdaten\Microsoft\Database Replication\UnresolvedConflicts.log gespeichert.